Debian Bug report logs - #681796
segmentation fault during suspend

version graph

Package: xserver-xorg-input-synaptics; Maintainer for xserver-xorg-input-synaptics is Debian X Strike Force <debian-x@lists.debian.org>; Source for xserver-xorg-input-synaptics is src:xserver-xorg-input-synaptics.

Reported by: yoh@onerussian.com

Date: Mon, 16 Jul 2012 16:33:01 UTC

Severity: important

Tags: fixed-upstream, patch

Found in version xserver-xorg-input-synaptics/1.6.2-1

Fixed in version xserver-xorg-input-synaptics/1.6.2-2

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugs.freedesktop.org/show_bug.cgi?id=52496

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#681796; Package xserver-xorg. (Mon, 16 Jul 2012 16:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to yoh@onerussian.com:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 16 Jul 2012 16:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: segmentation fault during suspend
Date: Mon, 16 Jul 2012 12:31:37 -0400
Package: xserver-xorg
Version: 1:7.7+1
Severity: important
File: /usr/bin/X

Seems to be happening once in few days (I suspend the laptop ~5-20 times
a day).   I did a recent upgrade of the system to up-to-date mix of wheezy/sid
and I believe that I have not encountered it before:

[103704.781] (--) synaptics: SynPS/2 Synaptics TouchPad: touchpad found
[145698.412] 
[145698.412] Backtrace:
[145698.415] 0: /usr/bin/X (xorg_backtrace+0x36) [0x7f79bf6f9796]
[145698.415] 1: /usr/bin/X (0x7f79bf57b000+0x1822b9) [0x7f79bf6fd2b9]
[145698.415] 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7f79be8a3000+0xf030) [0x7f79be8b2030]
[145698.415] 3: /usr/bin/X (XIChangeDeviceProperty+0x1b8) [0x7f79bf69c248]
[145698.415] 4: /usr/bin/X (DisableDevice+0x20f) [0x7f79bf5c720f]
[145698.415] 5: /usr/bin/X (xf86Wakeup+0x474) [0x7f79bf609134]
[145698.415] 6: /usr/bin/X (WakeupHandler+0x6b) [0x7f79bf5d1d9b]
[145698.415] 7: /usr/bin/X (WaitForSomething+0x1a4) [0x7f79bf6f6be4]
[145698.415] 8: /usr/bin/X (0x7f79bf57b000+0x52b91) [0x7f79bf5cdb91]
[145698.415] 9: /usr/bin/X (0x7f79bf57b000+0x41ed5) [0x7f79bf5bced5]
[145698.415] 10: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xfd) [0x7f79bd5cdead]
[145698.415] 11: /usr/bin/X (0x7f79bf57b000+0x421ad) [0x7f79bf5bd1ad]
[145698.415] 
[145698.415] Segmentation fault at address 0x7f7900000011
[145698.415] 
Fatal server error:
[145698.415] Caught signal 11 (Segmentation fault). Server aborting
[145698.415] 
[145698.415] 

most recent upgrade, after which I think this issue started to appear was:

2012-07-11 14:43:17 upgrade xserver-xorg:amd64 1:7.6+13 1:7.7+1


-- Package-specific info:
X server symlink status:
------------------------
lrwxrwxrwx 1 root root 13 May 22  2009 /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 2044664 May 20 04:59 /usr/bin/Xorg

VGA-compatible devices on PCI bus:
----------------------------------
00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a42] (rev 07)

Xorg X server configuration file status:
----------------------------------------
-rw-r--r-- 1 root root 2166 Mar  7 21:37 /etc/X11/xorg.conf

Contents of /etc/X11/xorg.conf:
-------------------------------
# xorg.conf (X.Org X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the xorg.conf manual page.
# (Type "man xorg.conf" at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xorg
# package.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following command:
#   sudo dpkg-reconfigure -phigh xserver-xorg

Section "InputDevice"
	Identifier	"Generic Keyboard"
	Driver		"kbd"
	Option		"XkbRules"	"xorg"
	Option		"XkbModel"	"pc104"
	Option		"XkbLayout"	"us"
EndSection

Section "InputDevice"
	Identifier	"Configured Mouse1"
	Driver		"mouse"
    Option "CorePointer"
	Option "EmulateWheel" "on"
	Option "EmulateWheelTimeout" "200"
	Option "EmulateWheelButton" "2"
	Option "YAxisMapping" "4 5"
	Option "XAxisMapping" "6 7"
	Option "SHMConfig" "on"
EndSection

Section "InputDevice"
    Identifier  "Configured Mouse"
    Driver      "synaptics"
	Option "AlwaysCore" 
    Option "Protocol"  "auto-dev"
    #Option         "ZAxisMapping" "4 5 6 7"
    #Option "Device" "/dev/psaux"
    #Option "EmulateWheel" "on"
    #Option "EmulateWheelTimeout" "200"
    #Option "EmulateWheelButton" "2"
    #Option "YAxisMapping" "4 5"
    #Option "XAxisMapping" "6 7"
	#Option "SHMConfig" "on"
EndSection


Section "Device"
	Identifier	"Configured Video Device"
	Driver "intel"
	#Option "AccelMethod" "EXA"
	#Option "MigrationHeuristic" "greedy"
	Option         "TripleBuffer" "off"
EndSection

Section "Monitor"
	Identifier	"Configured Monitor"
	#DisplaySize 285 185 # approx computed
	DisplaySize 380 238  # from online to match 96 dpi
	# lets try to enforce provided sizes:
	# borrowed from http://wiki.archlinux.org/index.php/Xorg
	#Option   "NoDDC" "true"
	#Option   "UseEdidDpi" "false"
EndSection

Section "Screen"
	Identifier	"Default Screen"
	Monitor		"Configured Monitor"
    SubSection "Display"
		Depth       24
		Virtual     2464 900 
	EndSubSection
EndSection

/etc/X11/xorg.conf.d does not exist.

KMS configuration files:
------------------------
/etc/modprobe.d/i915-kms.conf:
  options i915 modeset=1

Kernel version (/proc/version):
-------------------------------
Linux version 3.2.0-3-amd64 (Debian 3.2.21-3) (debian-kernel@lists.debian.org) (gcc version 4.6.3 (Debian 4.6.3-8) ) #1 SMP Thu Jun 28 09:07:26 UTC 2012

Xorg X server log files on system:
----------------------------------
-rw-r--r-- 1 root root 28672 Jan 18  2010 /var/log/Xorg.1.log
-rw-r--r-- 1 root root 33552 Jun 29  2010 /var/log/Xorg.20.log
-rw-r--r-- 1 root root 47323 Jul 16 10:14 /var/log/Xorg.0.log

Contents of most recent Xorg X server log file (/var/log/Xorg.0.log):
---------------------------------------------------------------------
[145699.411] 
X.Org X Server 1.12.1.902 (1.12.2 RC 2)
Release Date: 2012-05-19
[145699.411] X Protocol Version 11, Revision 0
[145699.411] Build Operating System: Linux 3.2.0-2-amd64 x86_64 Debian
[145699.411] Current Operating System: Linux novo 3.2.0-3-amd64 #1 SMP Thu Jun 28 09:07:26 UTC 2012 x86_64
[145699.411] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.2.0-3-amd64 root=UUID=0fe48170-e67d-48ad-9270-7106586aafeb ro quiet acpi_sleep=s3_bios
[145699.411] Build Date: 20 May 2012  08:57:17AM
[145699.411] xorg-server 2:1.12.1.902-1 (Cyril Brulebois <kibi@debian.org>) 
[145699.411] Current version of pixman: 0.26.0
[145699.411] 	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
[145699.411] Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[145699.412] (==) Log file: "/var/log/Xorg.0.log", Time: Mon Jul 16 08:48:00 2012
[145699.424] (==) Using config file: "/etc/X11/xorg.conf"
[145699.424] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[145699.434] (==) No Layout section.  Using the first Screen section.
[145699.434] (**) |-->Screen "Default Screen" (0)
[145699.434] (**) |   |-->Monitor "Configured Monitor"
[145699.434] (==) No device specified for screen "Default Screen".
	Using the first device section listed.
[145699.435] (**) |   |-->Device "Configured Video Device"
[145699.435] (==) Automatically adding devices
[145699.435] (==) Automatically enabling devices
[145699.435] (==) FontPath set to:
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/cyrillic,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi,
	/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
	built-ins
[145699.435] (==) ModulePath set to "/usr/lib/xorg/modules"
[145699.435] (==) |-->Input Device "Configured Mouse1"
[145699.435] (==) No Layout section. Using the first core pointer device.
[145699.435] (II) The server relies on udev to provide the list of input devices.
	If no devices become available, reconfigure udev or disable AutoAddDevices.
[145699.435] (WW) Hotplugging is on, devices using drivers 'kbd', 'mouse' or 'vmmouse' will be disabled.
[145699.435] (WW) Disabling Configured Mouse1
[145699.435] (II) Loader magic: 0x7ff247a71ae0
[145699.435] (II) Module ABI versions:
[145699.435] 	X.Org ANSI C Emulation: 0.4
[145699.435] 	X.Org Video Driver: 12.0
[145699.435] 	X.Org XInput driver : 16.0
[145699.435] 	X.Org Server Extension : 6.0
[145699.440] (--) PCI:*(0:0:2:0) 8086:2a42:17aa:20e4 rev 7, Mem @ 0xf0000000/4194304, 0xd0000000/268435456, I/O @ 0x00001800/8
[145699.443] (--) PCI: (0:0:2:1) 8086:2a43:17aa:20e4 rev 7, Mem @ 0xf0400000/1048576
[145699.443] (II) Open ACPI successful (/var/run/acpid.socket)
[145699.443] (II) LoadModule: "extmod"
[145699.444] (II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
[145699.449] (II) Module extmod: vendor="X.Org Foundation"
[145699.449] 	compiled for 1.12.1.902, module version = 1.0.0
[145699.449] 	Module class: X.Org Server Extension
[145699.449] 	ABI class: X.Org Server Extension, version 6.0
[145699.449] (II) Loading extension SELinux
[145699.449] (II) Loading extension MIT-SCREEN-SAVER
[145699.449] (II) Loading extension XFree86-VidModeExtension
[145699.449] (II) Loading extension XFree86-DGA
[145699.449] (II) Loading extension DPMS
[145699.449] (II) Loading extension XVideo
[145699.449] (II) Loading extension XVideo-MotionCompensation
[145699.449] (II) Loading extension X-Resource
[145699.449] (II) LoadModule: "dbe"
[145699.450] (II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
[145699.459] (II) Module dbe: vendor="X.Org Foundation"
[145699.459] 	compiled for 1.12.1.902, module version = 1.0.0
[145699.459] 	Module class: X.Org Server Extension
[145699.459] 	ABI class: X.Org Server Extension, version 6.0
[145699.459] (II) Loading extension DOUBLE-BUFFER
[145699.459] (II) LoadModule: "glx"
[145699.460] (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
[145699.463] (II) Module glx: vendor="X.Org Foundation"
[145699.464] 	compiled for 1.12.1.902, module version = 1.0.0
[145699.464] 	ABI class: X.Org Server Extension, version 6.0
[145699.464] (==) AIGLX enabled
[145699.464] (II) Loading extension GLX
[145699.464] (II) LoadModule: "record"
[145699.464] (II) Loading /usr/lib/xorg/modules/extensions/librecord.so
[145699.468] (II) Module record: vendor="X.Org Foundation"
[145699.468] 	compiled for 1.12.1.902, module version = 1.13.0
[145699.468] 	Module class: X.Org Server Extension
[145699.468] 	ABI class: X.Org Server Extension, version 6.0
[145699.468] (II) Loading extension RECORD
[145699.468] (II) LoadModule: "dri"
[145699.468] (II) Loading /usr/lib/xorg/modules/extensions/libdri.so
[145699.469] (II) Module dri: vendor="X.Org Foundation"
[145699.469] 	compiled for 1.12.1.902, module version = 1.0.0
[145699.469] 	ABI class: X.Org Server Extension, version 6.0
[145699.469] (II) Loading extension XFree86-DRI
[145699.469] (II) LoadModule: "dri2"
[145699.469] (II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
[145699.470] (II) Module dri2: vendor="X.Org Foundation"
[145699.470] 	compiled for 1.12.1.902, module version = 1.2.0
[145699.470] 	ABI class: X.Org Server Extension, version 6.0
[145699.470] (II) Loading extension DRI2
[145699.470] (II) LoadModule: "intel"
[145699.470] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so
[145699.474] (II) Module intel: vendor="X.Org Foundation"
[145699.474] 	compiled for 1.12.1.902, module version = 2.19.0
[145699.474] 	Module class: X.Org Video Driver
[145699.474] 	ABI class: X.Org Video Driver, version 12.0
[145699.474] (II) intel: Driver for Intel Integrated Graphics Chipsets: i810,
	i810-dc100, i810e, i815, i830M, 845G, 854, 852GM/855GM, 865G, 915G,
	E7221 (i915), 915GM, 945G, 945GM, 945GME, Pineview GM, Pineview G,
	965G, G35, 965Q, 946GZ, 965GM, 965GME/GLE, G33, Q35, Q33, GM45,
	4 Series, G45/G43, Q45/Q43, G41, B43, B43, Clarkdale, Arrandale,
	Sandybridge Desktop (GT1), Sandybridge Desktop (GT2),
	Sandybridge Desktop (GT2+), Sandybridge Mobile (GT1),
	Sandybridge Mobile (GT2), Sandybridge Mobile (GT2+),
	Sandybridge Server, Ivybridge Mobile (GT1), Ivybridge Mobile (GT2),
	Ivybridge Desktop (GT1), Ivybridge Desktop (GT2), Ivybridge Server,
	Ivybridge Server (GT2)
[145699.476] (++) using VT number 7

[145699.503] drmOpenDevice: node name is /dev/dri/card0
[145699.503] drmOpenDevice: open result is 9, (OK)
[145699.503] drmOpenByBusid: Searching for BusID pci:0000:00:02.0
[145699.503] drmOpenDevice: node name is /dev/dri/card0
[145699.503] drmOpenDevice: open result is 9, (OK)
[145699.503] drmOpenByBusid: drmOpenMinor returns 9
[145699.503] drmOpenByBusid: drmGetBusid reports pci:0000:00:02.0
[145699.503] (==) intel(0): Depth 24, (--) framebuffer bpp 32
[145699.503] (==) intel(0): RGB weight 888
[145699.503] (==) intel(0): Default visual is TrueColor
[145699.503] (**) intel(0): Option "TripleBuffer" "off"
[145699.503] (II) intel(0): Integrated Graphics Chipset: Intel(R) GM45
[145699.503] (--) intel(0): Chipset: "GM45"
[145699.503] (**) intel(0): Relaxed fencing enabled
[145699.503] (**) intel(0): Wait on SwapBuffers? enabled
[145699.503] (**) intel(0): Triple buffering? disabled
[145699.503] (**) intel(0): Framebuffer tiled
[145699.504] (**) intel(0): Pixmaps tiled
[145699.504] (**) intel(0): 3D buffers tiled
[145699.504] (**) intel(0): SwapBuffers wait enabled
[145699.504] (==) intel(0): video overlay key set to 0x101fe
[145699.504] (II) intel(0): Output LVDS1 using monitor section Configured Monitor
[145699.504] (II) intel(0): found backlight control interface /sys/class/backlight/acpi_video0
[145699.520] (II) intel(0): Output VGA1 has no monitor section
[145699.570] (II) intel(0): Output HDMI1 has no monitor section
[145699.570] (II) intel(0): Output DP1 has no monitor section
[145699.616] (II) intel(0): Output DP2 has no monitor section
[145699.616] (II) intel(0): EDID for output LVDS1
[145699.616] (II) intel(0): Manufacturer: LEN  Model: 4074  Serial#: 0
[145699.616] (II) intel(0): Year: 2009  Week: 13
[145699.616] (II) intel(0): EDID Version: 1.3
[145699.616] (II) intel(0): Digital Display Input
[145699.616] (II) intel(0): Max Image Size [cm]: horiz.: 29  vert.: 18
[145699.616] (II) intel(0): Gamma: 2.20
[145699.616] (II) intel(0): DPMS capabilities: StandBy Suspend Off
[145699.616] (II) intel(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
[145699.616] (II) intel(0): First detailed timing is preferred mode
[145699.616] (II) intel(0): redX: 0.589 redY: 0.356   greenX: 0.340 greenY: 0.578
[145699.616] (II) intel(0): blueX: 0.150 blueY: 0.139   whiteX: 0.320 whiteY: 0.351
[145699.616] (II) intel(0): Manufacturer's mask: 0
[145699.616] (II) intel(0): Supported detailed timing:
[145699.616] (II) intel(0): clock: 102.0 MHz   Image Size:  287 x 180 mm
[145699.616] (II) intel(0): h_active: 1440  h_sync: 1488  h_sync_end 1520 h_blank_end 1836 h_border: 0
[145699.616] (II) intel(0): v_active: 900  v_sync: 903  v_sync_end 909 v_blanking: 926 v_border: 0
[145699.616] (II) intel(0): Supported detailed timing:
[145699.616] (II) intel(0): clock: 85.0 MHz   Image Size:  287 x 180 mm
[145699.616] (II) intel(0): h_active: 1440  h_sync: 1488  h_sync_end 1520 h_blank_end 1836 h_border: 0
[145699.616] (II) intel(0): v_active: 900  v_sync: 903  v_sync_end 909 v_blanking: 926 v_border: 0
[145699.616] (II) intel(0): Unknown vendor-specific block f
[145699.616] (II) intel(0):  LTD133EQ1B
[145699.616] (II) intel(0): EDID (in hex):
[145699.616] (II) intel(0): 	00ffffffffffff0030ae744000000000
[145699.616] (II) intel(0): 	0d130103801d1278ead0a3965b579426
[145699.616] (II) intel(0): 	23525900000001010101010101010101
[145699.616] (II) intel(0): 	010101010101d827a08c51841a303020
[145699.616] (II) intel(0): 	36001fb4100000183421a08c51841a30
[145699.616] (II) intel(0): 	302036001fb4100000180000000f0095
[145699.616] (II) intel(0): 	0a32950a281e010030640055000000fe
[145699.616] (II) intel(0): 	004c5444313333455131420a20200085
[145699.616] (II) intel(0): EDID vendor "LEN", prod id 16500
[145699.616] (II) intel(0): Printing DDC gathered Modelines:
[145699.616] (II) intel(0): Modeline "1440x900"x0.0  102.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (55.6 kHz eP)
[145699.616] (II) intel(0): Modeline "1440x900"x0.0   85.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (46.3 kHz e)
[145699.617] (II) intel(0): Not using default mode "320x240" (doublescan mode not supported)
[145699.617] (II) intel(0): Not using default mode "400x300" (doublescan mode not supported)
[145699.617] (II) intel(0): Not using default mode "400x300" (doublescan mode not supported)
[145699.617] (II) intel(0): Not using default mode "512x384" (doublescan mode not supported)
[145699.617] (II) intel(0): Not using default mode "640x480" (doublescan mode not supported)
[145699.617] (II) intel(0): Not using default mode "640x512" (doublescan mode not supported)
[145699.617] (II) intel(0): Not using default mode "800x600" (doublescan mode not supported)
[145699.617] (II) intel(0): Not using default mode "896x672" (doublescan mode not supported)
[145699.617] (II) intel(0): Not using default mode "928x696" (doublescan mode not supported)
[145699.617] (II) intel(0): Not using default mode "960x720" (doublescan mode not supported)
[145699.617] (II) intel(0): Not using default mode "576x432" (doublescan mode not supported)
[145699.617] (II) intel(0): Not using default mode "680x384" (doublescan mode not supported)
[145699.617] (II) intel(0): Not using default mode "680x384" (doublescan mode not supported)
[145699.617] (II) intel(0): Not using default mode "700x525" (doublescan mode not supported)
[145699.617] (II) intel(0): Not using default mode "720x450" (doublescan mode not supported)
[145699.617] (II) intel(0): Not using default mode "800x512" (doublescan mode not supported)
[145699.617] (II) intel(0): Not using default mode "840x525" (doublescan mode not supported)
[145699.617] (II) intel(0): Not using default mode "840x525" (doublescan mode not supported)
[145699.617] (II) intel(0): Not using default mode "960x540" (doublescan mode not supported)
[145699.617] (II) intel(0): Not using default mode "960x600" (doublescan mode not supported)
[145699.617] (II) intel(0): Not using default mode "1024x768" (doublescan mode not supported)
[145699.617] (II) intel(0): Printing probed modes for output LVDS1
[145699.617] (II) intel(0): Modeline "1440x900"x60.0  102.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (55.6 kHz eP)
[145699.617] (II) intel(0): Modeline "1440x900"x59.9  106.50  1440 1520 1672 1904  900 903 909 934 -hsync +vsync (55.9 kHz d)
[145699.617] (II) intel(0): Modeline "1440x900"x50.0   85.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (46.3 kHz e)
[145699.617] (II) intel(0): Modeline "1360x768"x59.8   84.75  1360 1432 1568 1776  768 771 781 798 -hsync +vsync (47.7 kHz d)
[145699.617] (II) intel(0): Modeline "1360x768"x60.0   72.00  1360 1408 1440 1520  768 771 781 790 +hsync -vsync (47.4 kHz d)
[145699.617] (II) intel(0): Modeline "1152x864"x60.0   81.62  1152 1216 1336 1520  864 865 868 895 -hsync +vsync (53.7 kHz d)
[145699.617] (II) intel(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz d)
[145699.617] (II) intel(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz d)
[145699.617] (II) intel(0): Modeline "800x600"x56.2   36.00  800 824 896 1024  600 601 603 625 +hsync +vsync (35.2 kHz d)
[145699.617] (II) intel(0): Modeline "640x480"x59.9   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz d)
[145699.636] (II) intel(0): EDID for output VGA1
[145699.655] (II) intel(0): EDID for output HDMI1
[145699.655] (II) intel(0): EDID for output DP1
[145699.704] (II) intel(0): EDID for output DP2
[145699.704] (II) intel(0): Output LVDS1 connected
[145699.704] (II) intel(0): Output VGA1 disconnected
[145699.704] (II) intel(0): Output HDMI1 disconnected
[145699.704] (II) intel(0): Output DP1 disconnected
[145699.704] (II) intel(0): Output DP2 disconnected
[145699.704] (II) intel(0): Using exact sizes for initial modes
[145699.704] (II) intel(0): Output LVDS1 using initial mode 1440x900
[145699.704] (II) intel(0): Using default gamma of (1.0, 1.0, 1.0) unless otherwise stated.
[145699.704] (II) intel(0): Kernel page flipping support detected, enabling
[145699.704] (**) intel(0): Display dimensions: (380, 238) mm
[145699.704] (WW) intel(0): Probed monitor is 290x180 mm, using Displaysize 380x238 mm
[145699.704] (**) intel(0): DPI set to (164, 96)
[145699.704] (II) Loading sub module "fb"
[145699.704] (II) LoadModule: "fb"
[145699.704] (II) Loading /usr/lib/xorg/modules/libfb.so
[145699.706] (II) Module fb: vendor="X.Org Foundation"
[145699.706] 	compiled for 1.12.1.902, module version = 1.0.0
[145699.706] 	ABI class: X.Org ANSI C Emulation, version 0.4
[145699.706] (II) Loading sub module "dri2"
[145699.706] (II) LoadModule: "dri2"
[145699.706] (II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
[145699.706] (II) Module dri2: vendor="X.Org Foundation"
[145699.706] 	compiled for 1.12.1.902, module version = 1.2.0
[145699.706] 	ABI class: X.Org Server Extension, version 6.0
[145699.706] (==) Depth 24 pixmap format is 32 bpp
[145699.706] (II) intel(0): [DRI2] Setup complete
[145699.706] (II) intel(0): [DRI2]   DRI driver: i965
[145699.706] (II) intel(0): Allocated new frame buffer 2496x900 stride 10240, tiled
[145699.721] (II) UXA(0): Driver registered support for the following operations:
[145699.721] (II)         solid
[145699.721] (II)         copy
[145699.721] (II)         composite (RENDER acceleration)
[145699.721] (II)         put_image
[145699.721] (II)         get_image
[145699.721] (==) intel(0): Backing store disabled
[145699.721] (==) intel(0): Silken mouse enabled
[145699.721] (II) intel(0): Initializing HW Cursor
[145699.721] (II) intel(0): RandR 1.2 enabled, ignore the following RandR disabled message.
[145699.724] (==) intel(0): DPMS enabled
[145699.725] (==) intel(0): Intel XvMC decoder enabled
[145699.725] (II) intel(0): Set up textured video
[145699.725] (II) intel(0): [XvMC] xvmc_vld driver initialized.
[145699.725] (II) intel(0): direct rendering: DRI2 Enabled
[145699.725] (==) intel(0): hotplug detection: "enabled"
[145699.788] (--) RandR disabled
[145699.788] (II) Initializing built-in extension Generic Event Extension
[145699.788] (II) Initializing built-in extension SHAPE
[145699.788] (II) Initializing built-in extension MIT-SHM
[145699.788] (II) Initializing built-in extension XInputExtension
[145699.788] (II) Initializing built-in extension XTEST
[145699.788] (II) Initializing built-in extension BIG-REQUESTS
[145699.788] (II) Initializing built-in extension SYNC
[145699.788] (II) Initializing built-in extension XKEYBOARD
[145699.788] (II) Initializing built-in extension XC-MISC
[145699.788] (II) Initializing built-in extension SECURITY
[145699.788] (II) Initializing built-in extension XINERAMA
[145699.788] (II) Initializing built-in extension XFIXES
[145699.788] (II) Initializing built-in extension RENDER
[145699.788] (II) Initializing built-in extension RANDR
[145699.788] (II) Initializing built-in extension COMPOSITE
[145699.788] (II) Initializing built-in extension DAMAGE
[145699.789] (II) SELinux: Disabled on system
[145699.802] (II) AIGLX: enabled GLX_MESA_copy_sub_buffer
[145699.802] (II) AIGLX: enabled GLX_INTEL_swap_event
[145699.802] (II) AIGLX: enabled GLX_SGI_swap_control and GLX_MESA_swap_control
[145699.802] (II) AIGLX: GLX_EXT_texture_from_pixmap backed by buffer objects
[145699.803] (II) AIGLX: Loaded and initialized i965
[145699.803] (II) GLX: Initialized DRI2 GL provider for screen 0
[145699.803] (II) intel(0): Setting screen physical size to 380 x 238
[145699.804] (II) intel(0): Allocated new frame buffer 1472x900 stride 6144, tiled
[145699.933] (II) config/udev: Adding input device Power Button (/dev/input/event3)
[145699.933] (**) Power Button: Applying InputClass "evdev keyboard catchall"
[145699.933] (II) LoadModule: "evdev"
[145699.933] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[145699.933] (II) Module evdev: vendor="X.Org Foundation"
[145699.933] 	compiled for 1.12.1, module version = 2.7.0
[145699.933] 	Module class: X.Org XInput Driver
[145699.933] 	ABI class: X.Org XInput driver, version 16.0
[145699.933] (II) Using input driver 'evdev' for 'Power Button'
[145699.934] (**) Power Button: always reports core events
[145699.934] (**) evdev: Power Button: Device: "/dev/input/event3"
[145699.934] (--) evdev: Power Button: Vendor 0 Product 0x1
[145699.934] (--) evdev: Power Button: Found keys
[145699.934] (II) evdev: Power Button: Configuring as keyboard
[145699.934] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/LNXPWRBN:00/input/input3/event3"
[145699.934] (II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD, id 6)
[145699.934] (**) Option "xkb_rules" "evdev"
[145699.934] (**) Option "xkb_model" "pc104"
[145699.934] (**) Option "xkb_layout" "us"
[145699.969] (II) config/udev: Adding input device Video Bus (/dev/input/event4)
[145699.969] (**) Video Bus: Applying InputClass "evdev keyboard catchall"
[145699.969] (II) Using input driver 'evdev' for 'Video Bus'
[145699.969] (**) Video Bus: always reports core events
[145699.969] (**) evdev: Video Bus: Device: "/dev/input/event4"
[145699.969] (--) evdev: Video Bus: Vendor 0 Product 0x6
[145699.969] (--) evdev: Video Bus: Found keys
[145699.969] (II) evdev: Video Bus: Configuring as keyboard
[145699.969] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/device:00/PNP0A08:00/LNXVIDEO:00/input/input4/event4"
[145699.969] (II) XINPUT: Adding extended input device "Video Bus" (type: KEYBOARD, id 7)
[145699.969] (**) Option "xkb_rules" "evdev"
[145699.969] (**) Option "xkb_model" "pc104"
[145699.969] (**) Option "xkb_layout" "us"
[145699.969] (II) config/udev: Adding input device Lid Switch (/dev/input/event1)
[145699.970] (II) No input driver specified, ignoring this device.
[145699.970] (II) This device may have been added with another device file.
[145699.970] (II) config/udev: Adding input device Sleep Button (/dev/input/event2)
[145699.970] (**) Sleep Button: Applying InputClass "evdev keyboard catchall"
[145699.970] (II) Using input driver 'evdev' for 'Sleep Button'
[145699.970] (**) Sleep Button: always reports core events
[145699.970] (**) evdev: Sleep Button: Device: "/dev/input/event2"
[145699.970] (--) evdev: Sleep Button: Vendor 0 Product 0x3
[145699.970] (--) evdev: Sleep Button: Found keys
[145699.970] (II) evdev: Sleep Button: Configuring as keyboard
[145699.970] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input2/event2"
[145699.970] (II) XINPUT: Adding extended input device "Sleep Button" (type: KEYBOARD, id 8)
[145699.970] (**) Option "xkb_rules" "evdev"
[145699.970] (**) Option "xkb_model" "pc104"
[145699.970] (**) Option "xkb_layout" "us"
[145699.971] (II) config/udev: Adding input device UVC Camera (17ef:4807) (/dev/input/event8)
[145699.971] (**) UVC Camera (17ef:4807): Applying InputClass "evdev keyboard catchall"
[145699.971] (II) Using input driver 'evdev' for 'UVC Camera (17ef:4807)'
[145699.971] (**) UVC Camera (17ef:4807): always reports core events
[145699.971] (**) evdev: UVC Camera (17ef:4807): Device: "/dev/input/event8"
[145699.971] (--) evdev: UVC Camera (17ef:4807): Vendor 0x17ef Product 0x4807
[145699.971] (--) evdev: UVC Camera (17ef:4807): Found keys
[145699.971] (II) evdev: UVC Camera (17ef:4807): Configuring as keyboard
[145699.971] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1a.7/usb1/1-6/1-6:1.0/input/input8/event8"
[145699.971] (II) XINPUT: Adding extended input device "UVC Camera (17ef:4807)" (type: KEYBOARD, id 9)
[145699.971] (**) Option "xkb_rules" "evdev"
[145699.971] (**) Option "xkb_model" "pc104"
[145699.971] (**) Option "xkb_layout" "us"
[145699.972] (II) config/udev: Adding input device AT Translated Set 2 keyboard (/dev/input/event0)
[145699.972] (**) AT Translated Set 2 keyboard: Applying InputClass "evdev keyboard catchall"
[145699.972] (II) Using input driver 'evdev' for 'AT Translated Set 2 keyboard'
[145699.972] (**) AT Translated Set 2 keyboard: always reports core events
[145699.972] (**) evdev: AT Translated Set 2 keyboard: Device: "/dev/input/event0"
[145699.972] (--) evdev: AT Translated Set 2 keyboard: Vendor 0x1 Product 0x1
[145699.972] (--) evdev: AT Translated Set 2 keyboard: Found keys
[145699.972] (II) evdev: AT Translated Set 2 keyboard: Configuring as keyboard
[145699.972] (**) Option "config_info" "udev:/sys/devices/platform/i8042/serio0/input/input0/event0"
[145699.972] (II) XINPUT: Adding extended input device "AT Translated Set 2 keyboard" (type: KEYBOARD, id 10)
[145699.972] (**) Option "xkb_rules" "evdev"
[145699.972] (**) Option "xkb_model" "pc104"
[145699.972] (**) Option "xkb_layout" "us"
[145699.973] (II) config/udev: Adding input device SynPS/2 Synaptics TouchPad (/dev/input/event7)
[145699.973] (**) SynPS/2 Synaptics TouchPad: Applying InputClass "evdev touchpad catchall"
[145699.973] (**) SynPS/2 Synaptics TouchPad: Applying InputClass "touchpad catchall"
[145699.973] (**) SynPS/2 Synaptics TouchPad: Applying InputClass "Default clickpad buttons"
[145699.973] (II) LoadModule: "synaptics"
[145699.973] (II) Loading /usr/lib/xorg/modules/input/synaptics_drv.so
[145699.975] (II) Module synaptics: vendor="X.Org Foundation"
[145699.975] 	compiled for 1.12.1.902, module version = 1.6.2
[145699.975] 	Module class: X.Org XInput Driver
[145699.975] 	ABI class: X.Org XInput driver, version 16.0
[145699.975] (II) Using input driver 'synaptics' for 'SynPS/2 Synaptics TouchPad'
[145699.975] (**) SynPS/2 Synaptics TouchPad: always reports core events
[145699.975] (**) Option "Device" "/dev/input/event7"
[145700.000] (II) synaptics: SynPS/2 Synaptics TouchPad: ignoring touch events for semi-multitouch device
[145700.000] (--) synaptics: SynPS/2 Synaptics TouchPad: x-axis range 1472 - 5588
[145700.000] (--) synaptics: SynPS/2 Synaptics TouchPad: y-axis range 1408 - 4654
[145700.000] (--) synaptics: SynPS/2 Synaptics TouchPad: pressure range 0 - 255
[145700.000] (--) synaptics: SynPS/2 Synaptics TouchPad: finger width range 0 - 15
[145700.000] (--) synaptics: SynPS/2 Synaptics TouchPad: buttons: left right double triple
[145700.000] (--) synaptics: SynPS/2 Synaptics TouchPad: Vendor 0x2 Product 0x7
[145700.000] (--) synaptics: SynPS/2 Synaptics TouchPad: touchpad found
[145700.000] (**) SynPS/2 Synaptics TouchPad: always reports core events
[145700.008] (**) Option "config_info" "udev:/sys/devices/platform/i8042/serio1/input/input7/event7"
[145700.008] (II) XINPUT: Adding extended input device "SynPS/2 Synaptics TouchPad" (type: TOUCHPAD, id 11)
[145700.008] (**) synaptics: SynPS/2 Synaptics TouchPad: (accel) MinSpeed is now constant deceleration 2.5
[145700.008] (**) synaptics: SynPS/2 Synaptics TouchPad: MaxSpeed is now 1.75
[145700.008] (**) synaptics: SynPS/2 Synaptics TouchPad: AccelFactor is now 0.038
[145700.008] (**) SynPS/2 Synaptics TouchPad: (accel) keeping acceleration scheme 1
[145700.008] (**) SynPS/2 Synaptics TouchPad: (accel) acceleration profile 1
[145700.008] (**) SynPS/2 Synaptics TouchPad: (accel) acceleration factor: 2.000
[145700.008] (**) SynPS/2 Synaptics TouchPad: (accel) acceleration threshold: 4
[145700.008] (--) synaptics: SynPS/2 Synaptics TouchPad: touchpad found
[145700.009] (II) config/udev: Adding input device SynPS/2 Synaptics TouchPad (/dev/input/mouse0)
[145700.009] (**) SynPS/2 Synaptics TouchPad: Ignoring device from InputClass "touchpad ignore duplicates"
[145700.009] (II) config/udev: Adding input device TPPS/2 IBM TrackPoint (/dev/input/event9)
[145700.009] (**) TPPS/2 IBM TrackPoint: Applying InputClass "evdev pointer catchall"
[145700.009] (II) Using input driver 'evdev' for 'TPPS/2 IBM TrackPoint'
[145700.009] (**) TPPS/2 IBM TrackPoint: always reports core events
[145700.009] (**) evdev: TPPS/2 IBM TrackPoint: Device: "/dev/input/event9"
[145700.009] (--) evdev: TPPS/2 IBM TrackPoint: Vendor 0x2 Product 0xa
[145700.009] (--) evdev: TPPS/2 IBM TrackPoint: Found 3 mouse buttons
[145700.009] (--) evdev: TPPS/2 IBM TrackPoint: Found relative axes
[145700.009] (--) evdev: TPPS/2 IBM TrackPoint: Found x and y relative axes
[145700.009] (II) evdev: TPPS/2 IBM TrackPoint: Configuring as mouse
[145700.009] (**) evdev: TPPS/2 IBM TrackPoint: YAxisMapping: buttons 4 and 5
[145700.009] (**) evdev: TPPS/2 IBM TrackPoint: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[145700.009] (**) Option "config_info" "udev:/sys/devices/platform/i8042/serio1/serio2/input/input9/event9"
[145700.009] (II) XINPUT: Adding extended input device "TPPS/2 IBM TrackPoint" (type: MOUSE, id 12)
[145700.009] (II) evdev: TPPS/2 IBM TrackPoint: initialized for relative axes.
[145700.010] (**) TPPS/2 IBM TrackPoint: (accel) keeping acceleration scheme 1
[145700.010] (**) TPPS/2 IBM TrackPoint: (accel) acceleration profile 0
[145700.010] (**) TPPS/2 IBM TrackPoint: (accel) acceleration factor: 2.000
[145700.010] (**) TPPS/2 IBM TrackPoint: (accel) acceleration threshold: 4
[145700.010] (II) config/udev: Adding input device TPPS/2 IBM TrackPoint (/dev/input/mouse1)
[145700.010] (II) No input driver specified, ignoring this device.
[145700.010] (II) This device may have been added with another device file.
[145700.010] (II) config/udev: Adding input device PC Speaker (/dev/input/event5)
[145700.010] (II) No input driver specified, ignoring this device.
[145700.010] (II) This device may have been added with another device file.
[145700.011] (II) config/udev: Adding input device ThinkPad Extra Buttons (/dev/input/event6)
[145700.011] (**) ThinkPad Extra Buttons: Applying InputClass "evdev keyboard catchall"
[145700.011] (II) Using input driver 'evdev' for 'ThinkPad Extra Buttons'
[145700.011] (**) ThinkPad Extra Buttons: always reports core events
[145700.011] (**) evdev: ThinkPad Extra Buttons: Device: "/dev/input/event6"
[145700.011] (--) evdev: ThinkPad Extra Buttons: Vendor 0x17aa Product 0x5054
[145700.011] (--) evdev: ThinkPad Extra Buttons: Found keys
[145700.011] (II) evdev: ThinkPad Extra Buttons: Configuring as keyboard
[145700.011] (**) Option "config_info" "udev:/sys/devices/platform/thinkpad_acpi/input/input6/event6"
[145700.011] (II) XINPUT: Adding extended input device "ThinkPad Extra Buttons" (type: KEYBOARD, id 13)
[145700.011] (**) Option "xkb_rules" "evdev"
[145700.011] (**) Option "xkb_model" "pc104"
[145700.011] (**) Option "xkb_layout" "us"
[145700.012] (II) config/udev: Adding input device ACPI Virtual Keyboard Device (/dev/input/event10)
[145700.012] (**) ACPI Virtual Keyboard Device: Applying InputClass "evdev keyboard catchall"
[145700.012] (II) Using input driver 'evdev' for 'ACPI Virtual Keyboard Device'
[145700.012] (**) ACPI Virtual Keyboard Device: always reports core events
[145700.012] (**) evdev: ACPI Virtual Keyboard Device: Device: "/dev/input/event10"
[145700.012] (--) evdev: ACPI Virtual Keyboard Device: Vendor 0 Product 0
[145700.012] (--) evdev: ACPI Virtual Keyboard Device: Found keys
[145700.012] (II) evdev: ACPI Virtual Keyboard Device: Configuring as keyboard
[145700.012] (**) Option "config_info" "udev:/sys/devices/virtual/input/input10/event10"
[145700.012] (II) XINPUT: Adding extended input device "ACPI Virtual Keyboard Device" (type: KEYBOARD, id 14)
[145700.012] (**) Option "xkb_rules" "evdev"
[145700.012] (**) Option "xkb_model" "pc104"
[145700.012] (**) Option "xkb_layout" "us"
[149267.912] (II) AIGLX: Suspending AIGLX clients for VT switch
[149276.040] (II) Open ACPI successful (/var/run/acpid.socket)
[149276.040] (II) AIGLX: Resuming AIGLX clients after VT switch
[149276.100] (II) intel(0): EDID vendor "LEN", prod id 16500
[149276.100] (II) intel(0): Printing DDC gathered Modelines:
[149276.100] (II) intel(0): Modeline "1440x900"x0.0  102.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (55.6 kHz eP)
[149276.100] (II) intel(0): Modeline "1440x900"x0.0   85.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (46.3 kHz e)
[149276.313] (--) synaptics: SynPS/2 Synaptics TouchPad: touchpad found
[149276.313] (II) intel(0): EDID vendor "LEN", prod id 16500
[149276.313] (II) intel(0): Printing DDC gathered Modelines:
[149276.313] (II) intel(0): Modeline "1440x900"x0.0  102.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (55.6 kHz eP)
[149276.313] (II) intel(0): Modeline "1440x900"x0.0   85.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (46.3 kHz e)
[149276.739] (II) config/udev: Adding input device CHICONY HP Basic USB Keyboard (/dev/input/event11)
[149276.739] (**) CHICONY HP Basic USB Keyboard: Applying InputClass "evdev keyboard catchall"
[149276.739] (II) Using input driver 'evdev' for 'CHICONY HP Basic USB Keyboard'
[149276.739] (**) CHICONY HP Basic USB Keyboard: always reports core events
[149276.739] (**) evdev: CHICONY HP Basic USB Keyboard: Device: "/dev/input/event11"
[149276.740] (--) evdev: CHICONY HP Basic USB Keyboard: Vendor 0x3f0 Product 0x24
[149276.740] (--) evdev: CHICONY HP Basic USB Keyboard: Found keys
[149276.740] (II) evdev: CHICONY HP Basic USB Keyboard: Configuring as keyboard
[149276.740] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1.1/2-1.1:1.0/input/input15/event11"
[149276.740] (II) XINPUT: Adding extended input device "CHICONY HP Basic USB Keyboard" (type: KEYBOARD, id 15)
[149276.740] (**) Option "xkb_rules" "evdev"
[149276.740] (**) Option "xkb_model" "pc104"
[149276.740] (**) Option "xkb_layout" "us"
[149276.888] (II) config/udev: Adding input device Logitech USB Optical Mouse (/dev/input/mouse2)
[149276.888] (II) No input driver specified, ignoring this device.
[149276.888] (II) This device may have been added with another device file.
[149276.889] (II) config/udev: Adding input device Logitech USB Optical Mouse (/dev/input/event12)
[149276.889] (**) Logitech USB Optical Mouse: Applying InputClass "evdev pointer catchall"
[149276.889] (II) Using input driver 'evdev' for 'Logitech USB Optical Mouse'
[149276.889] (**) Logitech USB Optical Mouse: always reports core events
[149276.889] (**) evdev: Logitech USB Optical Mouse: Device: "/dev/input/event12"
[149276.889] (--) evdev: Logitech USB Optical Mouse: Vendor 0x46d Product 0xc018
[149276.889] (--) evdev: Logitech USB Optical Mouse: Found 3 mouse buttons
[149276.889] (--) evdev: Logitech USB Optical Mouse: Found scroll wheel(s)
[149276.889] (--) evdev: Logitech USB Optical Mouse: Found relative axes
[149276.889] (--) evdev: Logitech USB Optical Mouse: Found x and y relative axes
[149276.890] (II) evdev: Logitech USB Optical Mouse: Configuring as mouse
[149276.890] (II) evdev: Logitech USB Optical Mouse: Adding scrollwheel support
[149276.890] (**) evdev: Logitech USB Optical Mouse: YAxisMapping: buttons 4 and 5
[149276.890] (**) evdev: Logitech USB Optical Mouse: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[149276.890] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1.5/2-1.5:1.0/input/input16/event12"
[149276.890] (II) XINPUT: Adding extended input device "Logitech USB Optical Mouse" (type: MOUSE, id 16)
[149276.890] (II) evdev: Logitech USB Optical Mouse: initialized for relative axes.
[149276.890] (**) Logitech USB Optical Mouse: (accel) keeping acceleration scheme 1
[149276.890] (**) Logitech USB Optical Mouse: (accel) acceleration profile 0
[149276.890] (**) Logitech USB Optical Mouse: (accel) acceleration factor: 2.000
[149276.890] (**) Logitech USB Optical Mouse: (accel) acceleration threshold: 4
[149293.673] (II) intel(0): EDID vendor "LEN", prod id 16500
[149293.674] (II) intel(0): Printing DDC gathered Modelines:
[149293.674] (II) intel(0): Modeline "1440x900"x0.0  102.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (55.6 kHz eP)
[149293.674] (II) intel(0): Modeline "1440x900"x0.0   85.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (46.3 kHz e)
[149294.479] (II) intel(0): EDID vendor "LEN", prod id 16500
[149294.479] (II) intel(0): Printing DDC gathered Modelines:
[149294.479] (II) intel(0): Modeline "1440x900"x0.0  102.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (55.6 kHz eP)
[149294.479] (II) intel(0): Modeline "1440x900"x0.0   85.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (46.3 kHz e)
[149294.787] (II) intel(0): EDID vendor "LEN", prod id 16500
[149294.787] (II) intel(0): Printing DDC gathered Modelines:
[149294.787] (II) intel(0): Modeline "1440x900"x0.0  102.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (55.6 kHz eP)
[149294.787] (II) intel(0): Modeline "1440x900"x0.0   85.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (46.3 kHz e)
[149295.097] (II) intel(0): EDID vendor "LEN", prod id 16500
[149295.097] (II) intel(0): Printing DDC gathered Modelines:
[149295.097] (II) intel(0): Modeline "1440x900"x0.0  102.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (55.6 kHz eP)
[149295.097] (II) intel(0): Modeline "1440x900"x0.0   85.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (46.3 kHz e)
[149295.384] (II) intel(0): EDID vendor "LEN", prod id 16500
[149295.384] (II) intel(0): Printing DDC gathered Modelines:
[149295.384] (II) intel(0): Modeline "1440x900"x0.0  102.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (55.6 kHz eP)
[149295.384] (II) intel(0): Modeline "1440x900"x0.0   85.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (46.3 kHz e)
[149295.680] (II) intel(0): EDID vendor "LEN", prod id 16500
[149295.680] (II) intel(0): Printing DDC gathered Modelines:
[149295.680] (II) intel(0): Modeline "1440x900"x0.0  102.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (55.6 kHz eP)
[149295.680] (II) intel(0): Modeline "1440x900"x0.0   85.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (46.3 kHz e)
[149295.956] (II) intel(0): EDID vendor "LEN", prod id 16500
[149295.956] (II) intel(0): Printing DDC gathered Modelines:
[149295.956] (II) intel(0): Modeline "1440x900"x0.0  102.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (55.6 kHz eP)
[149295.956] (II) intel(0): Modeline "1440x900"x0.0   85.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (46.3 kHz e)
[149296.255] (II) intel(0): EDID vendor "LEN", prod id 16500
[149296.255] (II) intel(0): Printing DDC gathered Modelines:
[149296.256] (II) intel(0): Modeline "1440x900"x0.0  102.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (55.6 kHz eP)
[149296.256] (II) intel(0): Modeline "1440x900"x0.0   85.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (46.3 kHz e)
[149296.490] (II) intel(0): EDID vendor "LEN", prod id 16500
[149296.490] (II) intel(0): Printing DDC gathered Modelines:
[149296.490] (II) intel(0): Modeline "1440x900"x0.0  102.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (55.6 kHz eP)
[149296.490] (II) intel(0): Modeline "1440x900"x0.0   85.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (46.3 kHz e)
[149296.709] (II) intel(0): EDID vendor "LEN", prod id 16500
[149296.709] (II) intel(0): Printing DDC gathered Modelines:
[149296.709] (II) intel(0): Modeline "1440x900"x0.0  102.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (55.6 kHz eP)
[149296.709] (II) intel(0): Modeline "1440x900"x0.0   85.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (46.3 kHz e)
[149296.942] (II) intel(0): EDID vendor "LEN", prod id 16500
[149296.942] (II) intel(0): Printing DDC gathered Modelines:
[149296.942] (II) intel(0): Modeline "1440x900"x0.0  102.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (55.6 kHz eP)
[149296.942] (II) intel(0): Modeline "1440x900"x0.0   85.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (46.3 kHz e)
[150151.775] (II) intel(0): EDID vendor "LEN", prod id 16500
[150151.775] (II) intel(0): Printing DDC gathered Modelines:
[150151.775] (II) intel(0): Modeline "1440x900"x0.0  102.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (55.6 kHz eP)
[150151.775] (II) intel(0): Modeline "1440x900"x0.0   85.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (46.3 kHz e)
[150151.997] (II) intel(0): EDID vendor "LEN", prod id 16500
[150151.997] (II) intel(0): Printing DDC gathered Modelines:
[150151.997] (II) intel(0): Modeline "1440x900"x0.0  102.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (55.6 kHz eP)
[150151.997] (II) intel(0): Modeline "1440x900"x0.0   85.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (46.3 kHz e)
[150152.527] (II) intel(0): Allocated new frame buffer 320x200 stride 1536, tiled
[150152.603] (II) intel(0): EDID vendor "LEN", prod id 16500
[150152.603] (II) intel(0): Printing DDC gathered Modelines:
[150152.603] (II) intel(0): Modeline "1440x900"x0.0  102.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (55.6 kHz eP)
[150152.603] (II) intel(0): Modeline "1440x900"x0.0   85.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (46.3 kHz e)
[150152.906] (II) intel(0): EDID vendor "LEN", prod id 16500
[150152.906] (II) intel(0): Printing DDC gathered Modelines:
[150152.906] (II) intel(0): Modeline "1440x900"x0.0  102.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (55.6 kHz eP)
[150152.906] (II) intel(0): Modeline "1440x900"x0.0   85.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (46.3 kHz e)
[150153.126] (II) intel(0): EDID vendor "LEN", prod id 16500
[150153.127] (II) intel(0): Printing DDC gathered Modelines:
[150153.127] (II) intel(0): Modeline "1440x900"x0.0  102.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (55.6 kHz eP)
[150153.127] (II) intel(0): Modeline "1440x900"x0.0   85.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (46.3 kHz e)
[150153.380] (II) intel(0): Allocated new frame buffer 3136x1920 stride 12800, tiled
[150153.524] (II) intel(0): Allocated new frame buffer 1920x1200 stride 7680, tiled
[150153.666] (II) intel(0): EDID vendor "LEN", prod id 16500
[150153.666] (II) intel(0): Printing DDC gathered Modelines:
[150153.666] (II) intel(0): Modeline "1440x900"x0.0  102.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (55.6 kHz eP)
[150153.666] (II) intel(0): Modeline "1440x900"x0.0   85.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (46.3 kHz e)
[150154.070] (II) intel(0): EDID vendor "HWP", prod id 9977
[150154.070] (II) intel(0): Using hsync ranges from config file
[150154.070] (II) intel(0): Using vrefresh ranges from config file
[150154.070] (II) intel(0): Printing DDC gathered Modelines:
[150154.070] (II) intel(0): Modeline "1920x1200"x0.0  154.00  1920 1968 2000 2080  1200 1203 1209 1235 +hsync -vsync (74.0 kHz eP)
[150154.070] (II) intel(0): Modeline "800x600"x0.0   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz e)
[150154.070] (II) intel(0): Modeline "640x480"x0.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz e)
[150154.070] (II) intel(0): Modeline "640x480"x0.0   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz e)
[150154.070] (II) intel(0): Modeline "720x400"x0.0   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz e)
[150154.070] (II) intel(0): Modeline "1280x1024"x0.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz e)
[150154.070] (II) intel(0): Modeline "1024x768"x0.0   78.75  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.0 kHz e)
[150154.070] (II) intel(0): Modeline "1024x768"x0.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz e)
[150154.070] (II) intel(0): Modeline "832x624"x0.0   57.28  832 864 928 1152  624 625 628 667 -hsync -vsync (49.7 kHz e)
[150154.070] (II) intel(0): Modeline "800x600"x0.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz e)
[150154.070] (II) intel(0): Modeline "1152x864"x0.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz e)
[150154.070] (II) intel(0): Modeline "1280x960"x0.0  108.00  1280 1376 1488 1800  960 961 964 1000 +hsync +vsync (60.0 kHz e)
[150154.070] (II) intel(0): Modeline "1280x1024"x0.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz e)
[150154.070] (II) intel(0): Modeline "1600x1000"x60.0  133.14  1600 1704 1872 2144  1000 1001 1004 1035 -hsync +vsync (62.1 kHz e)
[150154.070] (II) intel(0): Modeline "1600x1200"x0.0  162.00  1600 1664 1856 2160  1200 1201 1204 1250 +hsync +vsync (75.0 kHz e)
[150154.070] (II) intel(0): Modeline "1680x1050"x0.0  119.00  1680 1728 1760 1840  1050 1053 1059 1080 +hsync -vsync (64.7 kHz e)
[150154.338] (II) intel(0): EDID vendor "HWP", prod id 9977
[150154.338] (II) intel(0): Using hsync ranges from config file
[150154.338] (II) intel(0): Using vrefresh ranges from config file
[150154.338] (II) intel(0): Printing DDC gathered Modelines:
[150154.338] (II) intel(0): Modeline "1920x1200"x0.0  154.00  1920 1968 2000 2080  1200 1203 1209 1235 +hsync -vsync (74.0 kHz eP)
[150154.338] (II) intel(0): Modeline "800x600"x0.0   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz e)
[150154.338] (II) intel(0): Modeline "640x480"x0.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz e)
[150154.338] (II) intel(0): Modeline "640x480"x0.0   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz e)
[150154.338] (II) intel(0): Modeline "720x400"x0.0   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz e)
[150154.338] (II) intel(0): Modeline "1280x1024"x0.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz e)
[150154.338] (II) intel(0): Modeline "1024x768"x0.0   78.75  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.0 kHz e)
[150154.338] (II) intel(0): Modeline "1024x768"x0.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz e)
[150154.338] (II) intel(0): Modeline "832x624"x0.0   57.28  832 864 928 1152  624 625 628 667 -hsync -vsync (49.7 kHz e)
[150154.338] (II) intel(0): Modeline "800x600"x0.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz e)
[150154.338] (II) intel(0): Modeline "1152x864"x0.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz e)
[150154.338] (II) intel(0): Modeline "1280x960"x0.0  108.00  1280 1376 1488 1800  960 961 964 1000 +hsync +vsync (60.0 kHz e)
[150154.338] (II) intel(0): Modeline "1280x1024"x0.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz e)
[150154.338] (II) intel(0): Modeline "1600x1000"x60.0  133.14  1600 1704 1872 2144  1000 1001 1004 1035 -hsync +vsync (62.1 kHz e)
[150154.338] (II) intel(0): Modeline "1600x1200"x0.0  162.00  1600 1664 1856 2160  1200 1201 1204 1250 +hsync +vsync (75.0 kHz e)
[150154.338] (II) intel(0): Modeline "1680x1050"x0.0  119.00  1680 1728 1760 1840  1050 1053 1059 1080 +hsync -vsync (64.7 kHz e)
[150154.570] (II) intel(0): EDID vendor "HWP", prod id 9977
[150154.570] (II) intel(0): Using hsync ranges from config file
[150154.570] (II) intel(0): Using vrefresh ranges from config file
[150154.570] (II) intel(0): Printing DDC gathered Modelines:
[150154.570] (II) intel(0): Modeline "1920x1200"x0.0  154.00  1920 1968 2000 2080  1200 1203 1209 1235 +hsync -vsync (74.0 kHz eP)
[150154.570] (II) intel(0): Modeline "800x600"x0.0   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz e)
[150154.570] (II) intel(0): Modeline "640x480"x0.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz e)
[150154.570] (II) intel(0): Modeline "640x480"x0.0   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz e)
[150154.570] (II) intel(0): Modeline "720x400"x0.0   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz e)
[150154.570] (II) intel(0): Modeline "1280x1024"x0.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz e)
[150154.570] (II) intel(0): Modeline "1024x768"x0.0   78.75  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.0 kHz e)
[150154.570] (II) intel(0): Modeline "1024x768"x0.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz e)
[150154.570] (II) intel(0): Modeline "832x624"x0.0   57.28  832 864 928 1152  624 625 628 667 -hsync -vsync (49.7 kHz e)
[150154.570] (II) intel(0): Modeline "800x600"x0.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz e)
[150154.570] (II) intel(0): Modeline "1152x864"x0.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz e)
[150154.570] (II) intel(0): Modeline "1280x960"x0.0  108.00  1280 1376 1488 1800  960 961 964 1000 +hsync +vsync (60.0 kHz e)
[150154.570] (II) intel(0): Modeline "1280x1024"x0.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz e)
[150154.570] (II) intel(0): Modeline "1600x1000"x60.0  133.14  1600 1704 1872 2144  1000 1001 1004 1035 -hsync +vsync (62.1 kHz e)
[150154.570] (II) intel(0): Modeline "1600x1200"x0.0  162.00  1600 1664 1856 2160  1200 1201 1204 1250 +hsync +vsync (75.0 kHz e)
[150154.570] (II) intel(0): Modeline "1680x1050"x0.0  119.00  1680 1728 1760 1840  1050 1053 1059 1080 +hsync -vsync (64.7 kHz e)

udev information:
-----------------
P: /devices/LNXSYSTM:00/LNXPWRBN:00/input/input3
E: DEVPATH=/devices/LNXSYSTM:00/LNXPWRBN:00/input/input3
E: EV=3
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_PATH=acpi-LNXPWRBN:00
E: ID_PATH_TAG=acpi-LNXPWRBN_00
E: KEY=10000000000000 0
E: MODALIAS=input:b0019v0000p0001e0000-e0,1,k74,ramlsfw
E: NAME="Power Button"
E: PHYS="LNXPWRBN/button/input0"
E: PRODUCT=19/0/1/0
E: PROP=0
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=9345140

P: /devices/LNXSYSTM:00/LNXPWRBN:00/input/input3/event3
N: input/event3
E: BACKSPACE=guess
E: DEVNAME=/dev/input/event3
E: DEVPATH=/devices/LNXSYSTM:00/LNXPWRBN:00/input/input3/event3
E: DMI_VENDOR=LENOVO
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_PATH=acpi-LNXPWRBN:00
E: ID_PATH_TAG=acpi-LNXPWRBN_00
E: MAJOR=13
E: MINOR=67
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=9580874
E: XKBLAYOUT=us
E: XKBMODEL=pc104

P: /devices/LNXSYSTM:00/device:00/PNP0A08:00/LNXVIDEO:00/input/input4
E: DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0A08:00/LNXVIDEO:00/input/input4
E: EV=3
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_PATH=acpi-LNXVIDEO:00
E: ID_PATH_TAG=acpi-LNXVIDEO_00
E: KEY=3e000b00000000 0 0 0
E: MODALIAS=input:b0019v0000p0006e0000-e0,1,kE0,E1,E3,F1,F2,F3,F4,F5,ramlsfw
E: NAME="Video Bus"
E: PHYS="LNXVIDEO/video/input0"
E: PRODUCT=19/0/6/0
E: PROP=0
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=9396771

P: /devices/LNXSYSTM:00/device:00/PNP0A08:00/LNXVIDEO:00/input/input4/event4
N: input/event4
E: BACKSPACE=guess
E: DEVNAME=/dev/input/event4
E: DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0A08:00/LNXVIDEO:00/input/input4/event4
E: DMI_VENDOR=LENOVO
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_PATH=acpi-LNXVIDEO:00
E: ID_PATH_TAG=acpi-LNXVIDEO_00
E: MAJOR=13
E: MINOR=68
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=9580772
E: XKBLAYOUT=us
E: XKBMODEL=pc104

P: /devices/LNXSYSTM:00/device:00/PNP0C0D:00/input/input1
E: DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0C0D:00/input/input1
E: EV=21
E: ID_INPUT=1
E: ID_PATH=acpi-PNP0C0D:00
E: ID_PATH_TAG=acpi-PNP0C0D_00
E: MODALIAS=input:b0019v0000p0005e0000-e0,5,kramlsfw0,
E: NAME="Lid Switch"
E: PHYS="PNP0C0D/button/input0"
E: PRODUCT=19/0/5/0
E: PROP=0
E: SUBSYSTEM=input
E: SW=1
E: UDEV_LOG=3
E: USEC_INITIALIZED=9415872

P: /devices/LNXSYSTM:00/device:00/PNP0C0D:00/input/input1/event1
N: input/event1
E: DEVNAME=/dev/input/event1
E: DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0C0D:00/input/input1/event1
E: ID_INPUT=1
E: ID_PATH=acpi-PNP0C0D:00
E: ID_PATH_TAG=acpi-PNP0C0D_00
E: MAJOR=13
E: MINOR=65
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=9579350

P: /devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input2
E: DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input2
E: EV=3
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_PATH=acpi-PNP0C0E:00
E: ID_PATH_TAG=acpi-PNP0C0E_00
E: KEY=4000 0 0
E: MODALIAS=input:b0019v0000p0003e0000-e0,1,k8E,ramlsfw
E: NAME="Sleep Button"
E: PHYS="PNP0C0E/button/input0"
E: PRODUCT=19/0/3/0
E: PROP=0
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=9416768

P: /devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input2/event2
N: input/event2
E: BACKSPACE=guess
E: DEVNAME=/dev/input/event2
E: DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input2/event2
E: DMI_VENDOR=LENOVO
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_PATH=acpi-PNP0C0E:00
E: ID_PATH_TAG=acpi-PNP0C0E_00
E: MAJOR=13
E: MINOR=66
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=9580126
E: XKBLAYOUT=us
E: XKBMODEL=pc104

P: /devices/pci0000:00/0000:00:1a.7/usb1/1-6/1-6:1.0/input/input8
E: DEVPATH=/devices/pci0000:00/0000:00:1a.7/usb1/1-6/1-6:1.0/input/input8
E: EV=3
E: ID_BUS=usb
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_MODEL=4807
E: ID_MODEL_ENC=4807
E: ID_MODEL_ID=4807
E: ID_PATH=pci-0000:00:1a.7-usb-0:6:1.0
E: ID_PATH_TAG=pci-0000_00_1a_7-usb-0_6_1_0
E: ID_REVISION=3134
E: ID_SERIAL=Chicony_Electronics_Co.__Ltd._4807
E: ID_TYPE=video
E: ID_USB_DRIVER=uvcvideo
E: ID_USB_INTERFACES=:0e0100:0e0200:
E: ID_USB_INTERFACE_NUM=00
E: ID_VENDOR=Chicony_Electronics_Co.__Ltd.
E: ID_VENDOR_ENC=Chicony\x20Electronics\x20Co.\x2c\x20Ltd.
E: ID_VENDOR_ID=17ef
E: KEY=100000 0 0 0
E: MODALIAS=input:b0003v17EFp4807e3134-e0,1,kD4,ramlsfw
E: NAME="UVC Camera (17ef:4807)"
E: PHYS="usb-0000:00:1a.7-6/button"
E: PRODUCT=3/17ef/4807/3134
E: PROP=0
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=10507839

P: /devices/pci0000:00/0000:00:1a.7/usb1/1-6/1-6:1.0/input/input8/event8
N: input/event8
S: input/by-id/usb-Chicony_Electronics_Co.__Ltd._4807-event-if00
S: input/by-path/pci-0000:00:1a.7-usb-0:6:1.0-event
E: BACKSPACE=guess
E: DEVLINKS=/dev/input/by-id/usb-Chicony_Electronics_Co.__Ltd._4807-event-if00 /dev/input/by-path/pci-0000:00:1a.7-usb-0:6:1.0-event
E: DEVNAME=/dev/input/event8
E: DEVPATH=/devices/pci0000:00/0000:00:1a.7/usb1/1-6/1-6:1.0/input/input8/event8
E: ID_BUS=usb
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_MODEL=4807
E: ID_MODEL_ENC=4807
E: ID_MODEL_ID=4807
E: ID_PATH=pci-0000:00:1a.7-usb-0:6:1.0
E: ID_PATH_TAG=pci-0000_00_1a_7-usb-0_6_1_0
E: ID_REVISION=3134
E: ID_SERIAL=Chicony_Electronics_Co.__Ltd._4807
E: ID_TYPE=video
E: ID_USB_DRIVER=uvcvideo
E: ID_USB_INTERFACES=:0e0100:0e0200:
E: ID_USB_INTERFACE_NUM=00
E: ID_VENDOR=Chicony_Electronics_Co.__Ltd.
E: ID_VENDOR_ENC=Chicony\x20Electronics\x20Co.\x2c\x20Ltd.
E: ID_VENDOR_ID=17ef
E: MAJOR=13
E: MINOR=72
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=10511844
E: XKBLAYOUT=us
E: XKBMODEL=pc104

P: /devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1.1/2-1.1:1.0/input/input15
E: DEVPATH=/devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1.1/2-1.1:1.0/input/input15
E: EV=120013
E: ID_BUS=usb
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_MODEL=HP_Basic_USB_Keyboard
E: ID_MODEL_ENC=HP\x20Basic\x20USB\x20Keyboard
E: ID_MODEL_ID=0024
E: ID_PATH=pci-0000:00:1d.7-usb-0:1.1:1.0
E: ID_PATH_TAG=pci-0000_00_1d_7-usb-0_1_1_1_0
E: ID_REVISION=0300
E: ID_SERIAL=CHICONY_HP_Basic_USB_Keyboard
E: ID_TYPE=hid
E: ID_USB_DRIVER=usbhid
E: ID_USB_INTERFACES=:030101:
E: ID_USB_INTERFACE_NUM=00
E: ID_VENDOR=CHICONY
E: ID_VENDOR_ENC=CHICONY
E: ID_VENDOR_ID=03f0
E: KEY=1000000000007 ff9f207ac14057ff febeffdfffefffff fffffffffffffffe
E: LED=7
E: MODALIAS=input:b0003v03F0p0024e0110-e0,1,4,11,14,k71,72,73,74,75,77,79,7A,7B,7C,7D,7E,7F,80,81,82,83,84,85,86,87,88,89,8A,8C,8E,96,98,9E,9F,A1,A3,A4,A5,A6,AD,B0,B1,B2,B3,B4,B7,B8,B9,BA,BB,BC,BD,BE,BF,C0,C1,C2,F0,ram4,l0,1,2,sfw
E: MSC=10
E: NAME="CHICONY HP Basic USB Keyboard"
E: PHYS="usb-0000:00:1d.7-1.1/input0"
E: PRODUCT=3/3f0/24/110
E: PROP=0
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: UNIQ=""
E: USEC_INITIALIZED=149276731467

P: /devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1.1/2-1.1:1.0/input/input15/event11
N: input/event11
S: input/by-id/usb-CHICONY_HP_Basic_USB_Keyboard-event-kbd
S: input/by-path/pci-0000:00:1d.7-usb-0:1.1:1.0-event-kbd
E: BACKSPACE=guess
E: DEVLINKS=/dev/input/by-id/usb-CHICONY_HP_Basic_USB_Keyboard-event-kbd /dev/input/by-path/pci-0000:00:1d.7-usb-0:1.1:1.0-event-kbd
E: DEVNAME=/dev/input/event11
E: DEVPATH=/devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1.1/2-1.1:1.0/input/input15/event11
E: ID_BUS=usb
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_MODEL=HP_Basic_USB_Keyboard
E: ID_MODEL_ENC=HP\x20Basic\x20USB\x20Keyboard
E: ID_MODEL_ID=0024
E: ID_PATH=pci-0000:00:1d.7-usb-0:1.1:1.0
E: ID_PATH_TAG=pci-0000_00_1d_7-usb-0_1_1_1_0
E: ID_REVISION=0300
E: ID_SERIAL=CHICONY_HP_Basic_USB_Keyboard
E: ID_TYPE=hid
E: ID_USB_DRIVER=usbhid
E: ID_USB_INTERFACES=:030101:
E: ID_USB_INTERFACE_NUM=00
E: ID_VENDOR=CHICONY
E: ID_VENDOR_ENC=CHICONY
E: ID_VENDOR_ID=03f0
E: MAJOR=13
E: MINOR=75
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=149276738983
E: XKBLAYOUT=us
E: XKBMODEL=pc104

P: /devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1.5/2-1.5:1.0/input/input16
E: DEVPATH=/devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1.5/2-1.5:1.0/input/input16
E: EV=17
E: ID_BUS=usb
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_MODEL=USB_Optical_Mouse
E: ID_MODEL_ENC=USB\x20Optical\x20Mouse
E: ID_MODEL_ID=c018
E: ID_PATH=pci-0000:00:1d.7-usb-0:1.5:1.0
E: ID_PATH_TAG=pci-0000_00_1d_7-usb-0_1_5_1_0
E: ID_REVISION=4301
E: ID_SERIAL=Logitech_USB_Optical_Mouse
E: ID_TYPE=hid
E: ID_USB_DRIVER=usbhid
E: ID_USB_INTERFACES=:030102:
E: ID_USB_INTERFACE_NUM=00
E: ID_VENDOR=Logitech
E: ID_VENDOR_ENC=Logitech
E: ID_VENDOR_ID=046d
E: KEY=70000 0 0 0 0
E: MODALIAS=input:b0003v046DpC018e0111-e0,1,2,4,k110,111,112,r0,1,8,am4,lsfw
E: MSC=10
E: NAME="Logitech USB Optical Mouse"
E: PHYS="usb-0000:00:1d.7-1.5/input0"
E: PRODUCT=3/46d/c018/111
E: PROP=0
E: REL=103
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: UNIQ=""
E: USEC_INITIALIZED=149276883655

P: /devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1.5/2-1.5:1.0/input/input16/event12
N: input/event12
S: input/by-id/usb-Logitech_USB_Optical_Mouse-event-mouse
S: input/by-path/pci-0000:00:1d.7-usb-0:1.5:1.0-event-mouse
E: DEVLINKS=/dev/input/by-id/usb-Logitech_USB_Optical_Mouse-event-mouse /dev/input/by-path/pci-0000:00:1d.7-usb-0:1.5:1.0-event-mouse
E: DEVNAME=/dev/input/event12
E: DEVPATH=/devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1.5/2-1.5:1.0/input/input16/event12
E: ID_BUS=usb
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_MODEL=USB_Optical_Mouse
E: ID_MODEL_ENC=USB\x20Optical\x20Mouse
E: ID_MODEL_ID=c018
E: ID_PATH=pci-0000:00:1d.7-usb-0:1.5:1.0
E: ID_PATH_TAG=pci-0000_00_1d_7-usb-0_1_5_1_0
E: ID_REVISION=4301
E: ID_SERIAL=Logitech_USB_Optical_Mouse
E: ID_TYPE=hid
E: ID_USB_DRIVER=usbhid
E: ID_USB_INTERFACES=:030102:
E: ID_USB_INTERFACE_NUM=00
E: ID_VENDOR=Logitech
E: ID_VENDOR_ENC=Logitech
E: ID_VENDOR_ID=046d
E: MAJOR=13
E: MINOR=76
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=149276889355

P: /devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1.5/2-1.5:1.0/input/input16/mouse2
N: input/mouse2
S: input/by-id/usb-Logitech_USB_Optical_Mouse-mouse
S: input/by-path/pci-0000:00:1d.7-usb-0:1.5:1.0-mouse
E: DEVLINKS=/dev/input/by-id/usb-Logitech_USB_Optical_Mouse-mouse /dev/input/by-path/pci-0000:00:1d.7-usb-0:1.5:1.0-mouse
E: DEVNAME=/dev/input/mouse2
E: DEVPATH=/devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1.5/2-1.5:1.0/input/input16/mouse2
E: ID_BUS=usb
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_MODEL=USB_Optical_Mouse
E: ID_MODEL_ENC=USB\x20Optical\x20Mouse
E: ID_MODEL_ID=c018
E: ID_PATH=pci-0000:00:1d.7-usb-0:1.5:1.0
E: ID_PATH_TAG=pci-0000_00_1d_7-usb-0_1_5_1_0
E: ID_REVISION=4301
E: ID_SERIAL=Logitech_USB_Optical_Mouse
E: ID_TYPE=hid
E: ID_USB_DRIVER=usbhid
E: ID_USB_INTERFACES=:030102:
E: ID_USB_INTERFACE_NUM=00
E: ID_VENDOR=Logitech
E: ID_VENDOR_ENC=Logitech
E: ID_VENDOR_ID=046d
E: MAJOR=13
E: MINOR=34
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=149276887928

P: /devices/platform/i8042/serio0/input/input0
E: DEVPATH=/devices/platform/i8042/serio0/input/input0
E: EV=120013
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_PATH=platform-i8042-serio-0
E: ID_PATH_TAG=platform-i8042-serio-0
E: ID_SERIAL=noserial
E: KEY=402000000 3803078f800d001 feffffdfffefffff fffffffffffffffe
E: LED=7
E: MODALIAS=input:b0011v0001p0001eAB54-e0,1,4,11,14,k71,72,73,74,75,76,77,79,7A,7B,7C,7D,7E,7F,80,8C,8E,8F,9B,9C,9D,9E,9F,A3,A4,A5,A6,AC,AD,B7,B8,B9,D9,E2,ram4,l0,1,2,sfw
E: MSC=10
E: NAME="AT Translated Set 2 keyboard"
E: PHYS="isa0060/serio0/input0"
E: PRODUCT=11/1/1/ab54
E: PROP=0
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=9461498

P: /devices/platform/i8042/serio0/input/input0/event0
N: input/event0
S: input/by-path/platform-i8042-serio-0-event-kbd
E: BACKSPACE=guess
E: DEVLINKS=/dev/input/by-path/platform-i8042-serio-0-event-kbd
E: DEVNAME=/dev/input/event0
E: DEVPATH=/devices/platform/i8042/serio0/input/input0/event0
E: DMI_VENDOR=LENOVO
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_PATH=platform-i8042-serio-0
E: ID_PATH_TAG=platform-i8042-serio-0
E: ID_SERIAL=noserial
E: MAJOR=13
E: MINOR=64
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=9579528
E: XKBLAYOUT=us
E: XKBMODEL=pc104

P: /devices/platform/i8042/serio1/input/input7
E: ABS=260800011000003
E: DEVPATH=/devices/platform/i8042/serio1/input/input7
E: EV=b
E: ID_INPUT=1
E: ID_INPUT_TOUCHPAD=1
E: ID_PATH=platform-i8042-serio-1
E: ID_PATH_TAG=platform-i8042-serio-1
E: ID_SERIAL=noserial
E: KEY=6420 30000 0 0 0 0
E: MODALIAS=input:b0011v0002p0007e01B1-e0,1,3,k110,111,145,14A,14D,14E,ra0,1,18,1C,2F,35,36,39,mlsfw
E: NAME="SynPS/2 Synaptics TouchPad"
E: PHYS="isa0060/serio1/input0"
E: PRODUCT=11/2/7/1b1
E: PROP=9
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=10405398

P: /devices/platform/i8042/serio1/input/input7/event7
N: input/event7
S: input/by-path/platform-i8042-serio-1-event-mouse
E: DEVLINKS=/dev/input/by-path/platform-i8042-serio-1-event-mouse
E: DEVNAME=/dev/input/event7
E: DEVPATH=/devices/platform/i8042/serio1/input/input7/event7
E: ID_INPUT=1
E: ID_INPUT_TOUCHPAD=1
E: ID_PATH=platform-i8042-serio-1
E: ID_PATH_TAG=platform-i8042-serio-1
E: ID_SERIAL=noserial
E: MAJOR=13
E: MINOR=71
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=10414078

P: /devices/platform/i8042/serio1/input/input7/mouse0
N: input/mouse0
S: input/by-path/platform-i8042-serio-1-mouse
E: DEVLINKS=/dev/input/by-path/platform-i8042-serio-1-mouse
E: DEVNAME=/dev/input/mouse0
E: DEVPATH=/devices/platform/i8042/serio1/input/input7/mouse0
E: ID_INPUT=1
E: ID_INPUT_TOUCHPAD=1
E: ID_PATH=platform-i8042-serio-1
E: ID_PATH_TAG=platform-i8042-serio-1
E: ID_SERIAL=noserial
E: MAJOR=13
E: MINOR=32
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=10412839

P: /devices/platform/i8042/serio1/serio2/input/input9
E: DEVPATH=/devices/platform/i8042/serio1/serio2/input/input9
E: EV=7
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_PATH=platform-i8042-serio-2
E: ID_PATH_TAG=platform-i8042-serio-2
E: ID_SERIAL=noserial
E: KEY=70000 0 0 0 0
E: MODALIAS=input:b0011v0002p000Ae0000-e0,1,2,k110,111,112,r0,1,amlsfw
E: NAME="TPPS/2 IBM TrackPoint"
E: PHYS="synaptics-pt/serio0/input0"
E: PRODUCT=11/2/a/0
E: PROP=0
E: REL=3
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=16697400

P: /devices/platform/i8042/serio1/serio2/input/input9/event9
N: input/event9
S: input/by-path/platform-i8042-serio-2-event-mouse
E: DEVLINKS=/dev/input/by-path/platform-i8042-serio-2-event-mouse
E: DEVNAME=/dev/input/event9
E: DEVPATH=/devices/platform/i8042/serio1/serio2/input/input9/event9
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_PATH=platform-i8042-serio-2
E: ID_PATH_TAG=platform-i8042-serio-2
E: ID_SERIAL=noserial
E: MAJOR=13
E: MINOR=73
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=16702366

P: /devices/platform/i8042/serio1/serio2/input/input9/mouse1
N: input/mouse1
S: input/by-path/platform-i8042-serio-2-mouse
E: DEVLINKS=/dev/input/by-path/platform-i8042-serio-2-mouse
E: DEVNAME=/dev/input/mouse1
E: DEVPATH=/devices/platform/i8042/serio1/serio2/input/input9/mouse1
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_PATH=platform-i8042-serio-2
E: ID_PATH_TAG=platform-i8042-serio-2
E: ID_SERIAL=noserial
E: MAJOR=13
E: MINOR=33
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=16702249

P: /devices/platform/pcspkr/input/input5
E: DEVPATH=/devices/platform/pcspkr/input/input5
E: EV=40001
E: ID_INPUT=1
E: ID_PATH=platform-pcspkr
E: ID_PATH_TAG=platform-pcspkr
E: ID_SERIAL=noserial
E: MODALIAS=input:b0010v001Fp0001e0100-e0,12,kramls1,2,fw
E: NAME="PC Speaker"
E: PHYS="isa0061/input0"
E: PRODUCT=10/1f/1/100
E: PROP=0
E: SND=6
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=9608181

P: /devices/platform/pcspkr/input/input5/event5
N: input/event5
S: input/by-path/platform-pcspkr-event-spkr
E: DEVLINKS=/dev/input/by-path/platform-pcspkr-event-spkr
E: DEVNAME=/dev/input/event5
E: DEVPATH=/devices/platform/pcspkr/input/input5/event5
E: ID_INPUT=1
E: ID_PATH=platform-pcspkr
E: ID_PATH_TAG=platform-pcspkr
E: ID_SERIAL=noserial
E: MAJOR=13
E: MINOR=69
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=9621345

P: /devices/platform/thinkpad_acpi/input/input6
E: DEVPATH=/devices/platform/thinkpad_acpi/input/input6
E: EV=33
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_PATH=platform-thinkpad_acpi
E: ID_PATH_TAG=platform-thinkpad_acpi
E: KEY=18040000 0 10000000000000 0 101501b00102004 8000000001104000 e000000000000 0
E: MODALIAS=input:b0019v17AAp5054e4101-e0,1,4,5,k71,72,73,8E,94,98,BF,C2,CD,D4,E0,E1,E3,E4,EC,EE,F0,F8,174,1D2,1DB,1DC,ram4,lsfw3,
E: MSC=10
E: NAME="ThinkPad Extra Buttons"
E: PHYS="thinkpad_acpi/input0"
E: PRODUCT=19/17aa/5054/4101
E: PROP=0
E: SUBSYSTEM=input
E: SW=8
E: UDEV_LOG=3
E: USEC_INITIALIZED=9755307

P: /devices/platform/thinkpad_acpi/input/input6/event6
N: input/event6
S: input/by-path/platform-thinkpad_acpi-event
E: BACKSPACE=guess
E: DEVLINKS=/dev/input/by-path/platform-thinkpad_acpi-event
E: DEVNAME=/dev/input/event6
E: DEVPATH=/devices/platform/thinkpad_acpi/input/input6/event6
E: DMI_VENDOR=LENOVO
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_PATH=platform-thinkpad_acpi
E: ID_PATH_TAG=platform-thinkpad_acpi
E: MAJOR=13
E: MINOR=70
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=9759568
E: XKBLAYOUT=us
E: XKBMODEL=pc104

P: /devices/virtual/input/input10
E: DEVPATH=/devices/virtual/input/input10
E: EV=3
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_SERIAL=noserial
E: KEY=ffffffffffffffff ffffffffffffffff ffffffffffffffff fffffffffffffffe
E: MODALIAS=input:b0003v0000p0000e0004-e0,1,k71,72,73,74,75,76,77,78,79,7A,7B,7C,7D,7E,7F,80,81,82,83,84,85,86,87,88,89,8A,8B,8C,8D,8E,8F,90,91,92,93,94,95,96,97,98,99,9A,9B,9C,9D,9E,9F,A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,AA,AB,AC,AD,AE,AF,B0,B1,B2,B3,B4,B5,B6,B7,B8,B9,BA,BB,BC,BD,BE,BF,C0,C1,C2,C3,C4,C5,C6,C7,C8,C9,CA,CB,CC,CD,CE,CF,D0,D1,D2,D3,D4,D5,D6,D7,D8,D9,DA,DB,DC,DD,DE,DF,E0,E1,E2,E3,E4,E5,E6,E7,E8,E9,EA,EB,EC,ED,EE,EF,F0,F1,F2,F3,F4,F5,F6,F7,F8,F9,FA,FB,FC,FD,FE,FF,ramlsfw
E: NAME="ACPI Virtual Keyboard Device"
E: PRODUCT=3/0/0/4
E: PROP=0
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=38739822

P: /devices/virtual/input/input10/event10
N: input/event10
E: BACKSPACE=guess
E: DEVNAME=/dev/input/event10
E: DEVPATH=/devices/virtual/input/input10/event10
E: DMI_VENDOR=LENOVO
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_SERIAL=noserial
E: MAJOR=13
E: MINOR=74
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=38749528
E: XKBLAYOUT=us
E: XKBMODEL=pc104


DRM Information from dmesg:
---------------------------


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (900, 'testing'), (600, 'unstable'), (300, 'experimental'), (100, 'stable')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.2.0-3-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages xserver-xorg depends on:
ii  libc6                                             2.13-33
ii  x11-xkb-utils                                     7.7~1
ii  xkb-data                                          2.5.1-1
ii  xserver-xorg-core                                 2:1.12.1.902-1
ii  xserver-xorg-input-evdev [xorg-driver-input]      1:2.7.0-1+b1
ii  xserver-xorg-input-synaptics [xorg-driver-input]  1.6.2-1
ii  xserver-xorg-input-void [xorg-driver-input]       1:1.4.0-1+b1
ii  xserver-xorg-video-apm [xorg-driver-video]        1:1.2.3-3
ii  xserver-xorg-video-dummy [xorg-driver-video]      1:0.3.5-2+b1
ii  xserver-xorg-video-fbdev [xorg-driver-video]      1:0.4.2-4+b3
ii  xserver-xorg-video-intel [xorg-driver-video]      2:2.19.0-4
ii  xserver-xorg-video-vesa [xorg-driver-video]       1:2.3.1-1+b1

Versions of packages xserver-xorg recommends:
ii  libgl1-mesa-dri  8.0.3-1

xserver-xorg suggests no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#681796; Package xserver-xorg. (Mon, 16 Jul 2012 18:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 16 Jul 2012 18:03:06 GMT) Full text and rfc822 format available.

Message #10 received at 681796@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: yoh@onerussian.com, 681796@bugs.debian.org
Subject: Re: Bug#681796: segmentation fault during suspend
Date: Mon, 16 Jul 2012 19:52:22 +0200
[Message part 1 (text/plain, inline)]
On Mon, Jul 16, 2012 at 12:31:37 -0400, Yaroslav Halchenko wrote:

> Package: xserver-xorg
> Version: 1:7.7+1
> Severity: important
> File: /usr/bin/X
> 
> Seems to be happening once in few days (I suspend the laptop ~5-20 times
> a day).   I did a recent upgrade of the system to up-to-date mix of wheezy/sid
> and I believe that I have not encountered it before:
> 
> [103704.781] (--) synaptics: SynPS/2 Synaptics TouchPad: touchpad found
> [145698.412] 
> [145698.412] Backtrace:
> [145698.415] 0: /usr/bin/X (xorg_backtrace+0x36) [0x7f79bf6f9796]
> [145698.415] 1: /usr/bin/X (0x7f79bf57b000+0x1822b9) [0x7f79bf6fd2b9]
> [145698.415] 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7f79be8a3000+0xf030) [0x7f79be8b2030]
> [145698.415] 3: /usr/bin/X (XIChangeDeviceProperty+0x1b8) [0x7f79bf69c248]
> [145698.415] 4: /usr/bin/X (DisableDevice+0x20f) [0x7f79bf5c720f]
> [145698.415] 5: /usr/bin/X (xf86Wakeup+0x474) [0x7f79bf609134]
> [145698.415] 6: /usr/bin/X (WakeupHandler+0x6b) [0x7f79bf5d1d9b]
> [145698.415] 7: /usr/bin/X (WaitForSomething+0x1a4) [0x7f79bf6f6be4]
> [145698.415] 8: /usr/bin/X (0x7f79bf57b000+0x52b91) [0x7f79bf5cdb91]
> [145698.415] 9: /usr/bin/X (0x7f79bf57b000+0x41ed5) [0x7f79bf5bced5]
> [145698.415] 10: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xfd) [0x7f79bd5cdead]
> [145698.415] 11: /usr/bin/X (0x7f79bf57b000+0x421ad) [0x7f79bf5bd1ad]
> [145698.415] 
> [145698.415] Segmentation fault at address 0x7f7900000011
> [145698.415] 
> Fatal server error:
> [145698.415] Caught signal 11 (Segmentation fault). Server aborting
> [145698.415] 
> [145698.415] 
> 
Any chance you can get a backtrace from gdb?

> most recent upgrade, after which I think this issue started to appear was:
> 
> 2012-07-11 14:43:17 upgrade xserver-xorg:amd64 1:7.6+13 1:7.7+1
> 
That's a meta-package, so no.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#681796; Package xserver-xorg. (Mon, 16 Jul 2012 18:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 16 Jul 2012 18:09:05 GMT) Full text and rfc822 format available.

Message #15 received at 681796@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Yaroslav Halchenko <yoh@debian.org>
Cc: 681796@bugs.debian.org
Subject: Re: Bug#681796: segmentation fault during suspend
Date: Mon, 16 Jul 2012 20:05:29 +0200
[Message part 1 (text/plain, inline)]
On Mon, Jul 16, 2012 at 14:02:00 -0400, Yaroslav Halchenko wrote:

> 
> On Mon, 16 Jul 2012, Julien Cristau wrote:
> > > Fatal server error:
> > > [145698.415] Caught signal 11 (Segmentation fault). Server aborting
> > > [145698.415] 
> > > [145698.415] 
> > Any chance you can get a backtrace from gdb?
> 
> well -- I attached to X with gdb in a screen now... and will hope that I
> would be able to get there whenever such accident occurs again
> 
You'll probably need ssh to access it if/when X crashes.

> > > most recent upgrade, after which I think this issue started to appear was:
> > > 2012-07-11 14:43:17 upgrade xserver-xorg:amd64 1:7.6+13 1:7.7+1
> > That's a meta-package, so no.
> 
> hm... I might need to get educated a bit more on what is meta-package
> then since it seems to carry the binary:
> 
> $> dpkg -L xserver-xorg:amd64 | grep bin/
> /usr/bin/X
> 
Ok, mostly a metapackage.

> $> file /usr/bin/X
> /usr/bin/X: setuid setgid ELF 64-bit LSB shared object, x86-64, version 1 (SYSV), dynamically linked (uses shared libs), for GNU/Linux 2.6.26, BuildID[sha1]=0x9a1a6993c4ce93578604544819c5140515f45114, stripped
> 
> or alternatively -- which particular package to check for the upgraded
> version (if that is of interest anyways)?
> 
/usr/bin/X is just a wrapper, it basically doesn't do anything except
execve(/usr/bin/Xorg).  So the package you're looking for is
xserver-xorg-core.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#681796; Package xserver-xorg. (Mon, 16 Jul 2012 18:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <yoh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 16 Jul 2012 18:15:08 GMT) Full text and rfc822 format available.

Message #20 received at 681796@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <yoh@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 681796@bugs.debian.org
Subject: Re: Bug#681796: segmentation fault during suspend
Date: Mon, 16 Jul 2012 14:12:24 -0400
On Mon, 16 Jul 2012, Julien Cristau wrote:
> > > Any chance you can get a backtrace from gdb?
> > well -- I attached to X with gdb in a screen now... and will hope that I
> > would be able to get there whenever such accident occurs again

> You'll probably need ssh to access it if/when X crashes.

yeah -- I have learned that already while attaching gdb -- that is why there
was this conditioning on 'hope' in my statement above since the laptop
might be offline at that moment.

any particular desires on what to print out besides bt full (which I
already entered into the buffer in the screen, and enabled logging)?

> > or alternatively -- which particular package to check for the upgraded
> > version (if that is of interest anyways)?

> /usr/bin/X is just a wrapper, it basically doesn't do anything except
> execve(/usr/bin/Xorg).  So the package you're looking for is
> xserver-xorg-core.

ok -- this would be a more complete picture then:

$> grep 'upgrade xserver-xorg' /var/log/dpkg.log
2012-07-03 09:52:32 upgrade xserver-xorg:amd64 1:7.6+12 1:7.6+13
2012-07-11 13:31:20 upgrade xserver-xorg-video-intel:amd64 2:2.18.0-1 2:2.19.0-4
2012-07-11 13:31:20 upgrade xserver-xorg-video-dummy:amd64 1:0.3.5-2 1:0.3.5-2+b1
2012-07-11 13:31:21 upgrade xserver-xorg-video-vesa:amd64 1:2.3.0-7+b1 1:2.3.1-1+b1
2012-07-11 13:31:21 upgrade xserver-xorg-video-fbdev:amd64 1:0.4.2-4+b2 1:0.4.2-4+b3
2012-07-11 13:31:21 upgrade xserver-xorg-video-apm:amd64 1:1.2.3-2+b2 1:1.2.3-3
2012-07-11 13:31:22 upgrade xserver-xorg-input-void:amd64 1:1.4.0-1 1:1.4.0-1+b1
2012-07-11 13:31:22 upgrade xserver-xorg-input-synaptics:amd64 1.5.99.901-1 1.6.2-1
2012-07-11 13:31:23 upgrade xserver-xorg-input-evdev:amd64 1:2.7.0-1 1:2.7.0-1+b1
2012-07-11 13:31:23 upgrade xserver-xorg-core:amd64 2:1.11.4-1 2:1.12.1.902-1
2012-07-11 14:43:17 upgrade xserver-xorg:amd64 1:7.6+13 1:7.7+1
2012-07-11 14:43:20 upgrade xserver-xorg-dev:amd64 2:1.11.4-1 2:1.12.1.902-1
2012-07-11 21:52:19 upgrade xserver-xorg-video-nvidia:amd64 295.59-1 302.17-3

-- 
Yaroslav O. Halchenko
Postdoctoral Fellow,   Department of Psychological and Brain Sciences
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#681796; Package xserver-xorg. (Mon, 16 Jul 2012 18:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <yoh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 16 Jul 2012 18:39:03 GMT) Full text and rfc822 format available.

Message #25 received at 681796@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <yoh@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 681796@bugs.debian.org
Subject: Re: Bug#681796: segmentation fault during suspend
Date: Mon, 16 Jul 2012 14:02:00 -0400
On Mon, 16 Jul 2012, Julien Cristau wrote:
> > Fatal server error:
> > [145698.415] Caught signal 11 (Segmentation fault). Server aborting
> > [145698.415] 
> > [145698.415] 
> Any chance you can get a backtrace from gdb?

well -- I attached to X with gdb in a screen now... and will hope that I
would be able to get there whenever such accident occurs again

> > most recent upgrade, after which I think this issue started to appear was:
> > 2012-07-11 14:43:17 upgrade xserver-xorg:amd64 1:7.6+13 1:7.7+1
> That's a meta-package, so no.

hm... I might need to get educated a bit more on what is meta-package
then since it seems to carry the binary:

$> dpkg -L xserver-xorg:amd64 | grep bin/
/usr/bin/X

$> file /usr/bin/X
/usr/bin/X: setuid setgid ELF 64-bit LSB shared object, x86-64, version 1 (SYSV), dynamically linked (uses shared libs), for GNU/Linux 2.6.26, BuildID[sha1]=0x9a1a6993c4ce93578604544819c5140515f45114, stripped

or alternatively -- which particular package to check for the upgraded
version (if that is of interest anyways)?

-- 
Yaroslav O. Halchenko
Postdoctoral Fellow,   Department of Psychological and Brain Sciences
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#681796; Package xserver-xorg. (Sat, 21 Jul 2012 19:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <yoh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 21 Jul 2012 19:03:05 GMT) Full text and rfc822 format available.

Message #30 received at 681796@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <yoh@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 681796@bugs.debian.org
Subject: Re: Bug#681796: segmentation fault during suspend
Date: Sat, 21 Jul 2012 15:00:47 -0400
On Mon, 16 Jul 2012, Julien Cristau wrote:
> > well -- I attached to X with gdb in a screen now... and will hope that I
> > would be able to get there whenever such accident occurs again
> You'll probably need ssh to access it if/when X crashes.

unfortunately by then there were no chance to get remote access -- wifi
was already off and did not connect over wired when I plugged it in --
suspend light was blinking and I guess some services were already
stopped by then... I had to reset it via sysrq.  The last entry in the
screen history was:

Program received signal SIGSEGV, Segmentation fault.
XIChangeDeviceProperty (dev=dev@entry=0x7ff24ae17130, property=<optimized out>, type=type@entry=19, format=format@entry=8, mode=<optimized out>, mode@entry=0, len=len@entry=1, value=value@entry=0x7fff585294cf, sendevent=sendevent@entry=1) at ../../Xi/xiproperty.c:772
772 ../../Xi/xiproperty.c: No such file or directory.

I guess I should just learn to master gdb script so it would dump the bt right
upon segfault ... also since there is a new version now targetting wheezy I
will upgrade first to not hunt for a possibly fixed  issue

cheers
-- 
Yaroslav O. Halchenko
Postdoctoral Fellow,   Department of Psychological and Brain Sciences
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#681796; Package xserver-xorg. (Mon, 23 Jul 2012 17:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <yoh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 23 Jul 2012 17:03:03 GMT) Full text and rfc822 format available.

Message #35 received at 681796@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <yoh@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 681796@bugs.debian.org
Subject: Re: Bug#681796: segmentation fault during suspend
Date: Mon, 23 Jul 2012 12:59:16 -0400
On Sat, 21 Jul 2012, Yaroslav Halchenko wrote:
> Program received signal SIGSEGV, Segmentation fault.
> XIChangeDeviceProperty (dev=dev@entry=0x7ff24ae17130, property=<optimized out>, type=type@entry=19, format=format@entry=8, mode=<optimized out>, mode@entry=0, len=len@entry=1, value=value@entry=0x7fff585294cf, sendevent=sendevent@entry=1) at ../../Xi/xiproperty.c:772
> 772 ../../Xi/xiproperty.c: No such file or directory.

> I guess I should just learn to master gdb script so it would dump the bt right
> upon segfault ... also since there is a new version now targetting wheezy I
> will upgrade first to not hunt for a possibly fixed  issue

ok -- current sid's version is prone to segfault as well for me during
suspend...

Program received signal SIGSEGV, Segmentation fault.
XIChangeDeviceProperty (dev=dev@entry=0x7f92d4718130, property=<optimized out>, type=type@entry=19, format=format@entry=8, mode=<optimized out>, mode@entry=0, len=len@entry=1, 
    value=value@entry=0x7fff47c16faf, sendevent=sendevent@entry=1) at ../../Xi/xiproperty.c:772
772 ../../Xi/xiproperty.c: No such file or directory.

$> head /var/log/Xorg.0.log
[    31.323] 
X.Org X Server 1.12.3
Release Date: 2012-07-09
[    31.324] X Protocol Version 11, Revision 0
[    31.324] Build Operating System: Linux 3.2.0-3-amd64 x86_64 Debian
[    31.324] Current Operating System: Linux novo 3.2.0-3-amd64 #1 SMP Thu Jun 28 09:07:26 UTC 2012 x86_64
[    31.324] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.2.0-3-amd64 root=UUID=0fe48170-e67d-48ad-9270-7106586aafeb ro quiet acpi_sleep=s3_bios
[    31.324] Build Date: 18 July 2012  08:00:38AM
[    31.324] xorg-server 2:1.12.3-1 (Julien Cristau <jcristau@debian.org>) 
[    31.324] Current version of pixman: 0.26.0


finally I have got some basic clue on how to use python scripting for the
gdb... if that comes useful for anyone -- here is the script to dump full bt
upon segfault (and then continue to quit):

$> cat ~/deb/troubleshoot_segfault.py
#!/usr/bin/gdb -x
import gdb

def on_stop(p):
  gdb.execute("bt")
  gdb.execute("bt full")
  # and just quit now
  gdb.execute("c")
  gdb.execute("q")

gdb.execute("handle SIGUSR1 nostop")
gdb.execute("handle SIGPIPE nostop")
gdb.events.stop.connect(on_stop)

So I just attach it  to a running instance of X in a screen with logging (could
have used gdb's built in facilities to store output I guess...)  So hopefully
soon more information will follow.

-- 
Yaroslav O. Halchenko
Postdoctoral Fellow,   Department of Psychological and Brain Sciences
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#681796; Package xserver-xorg. (Tue, 24 Jul 2012 04:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <yoh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 24 Jul 2012 04:12:03 GMT) Full text and rfc822 format available.

Message #40 received at 681796@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <yoh@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 681796@bugs.debian.org
Subject: Re: Bug#681796: segmentation fault during suspend
Date: Tue, 24 Jul 2012 00:09:43 -0400
On Mon, 16 Jul 2012, Julien Cristau wrote:
> > [145698.415] Caught signal 11 (Segmentation fault). Server aborting
> > [145698.415] 
> > [145698.415] 

> Any chance you can get a backtrace from gdb?

Program received signal SIGSEGV, Segmentation fault.
XIChangeDeviceProperty (dev=dev@entry=0x7f4bac237fa0, property=<optimized out>, type=type@entry=19, format=format@entry=8, mode=<optimized out>, mode@entry=0, len=len@entry=1, 
    value=value@entry=0x7fff092e860f, sendevent=sendevent@entry=1) at ../../Xi/xiproperty.c:772
772     ../../Xi/xiproperty.c: No such file or directory.
#0  XIChangeDeviceProperty (dev=dev@entry=0x7f4bac237fa0, property=<optimized out>, type=type@entry=19, format=format@entry=8, mode=<optimized out>, mode@entry=0, 
    len=len@entry=1, value=value@entry=0x7fff092e860f, sendevent=sendevent@entry=1) at ../../Xi/xiproperty.c:772
#1  0x00007f4ba813c20f in DisableDevice (dev=0x7f4bac237fa0, sendevent=sendevent@entry=1 '\001') at ../../dix/devices.c:481
#2  0x00007f4ba817e344 in xf86VTSwitch () at ../../../../hw/xfree86/common/xf86Events.c:454
#3  xf86Wakeup (blockData=<optimized out>, err=<optimized out>, pReadmask=<optimized out>) at ../../../../hw/xfree86/common/xf86Events.c:285
#4  0x00007f4ba8146d9b in WakeupHandler (result=result@entry=-1, pReadmask=pReadmask@entry=0x7f4ba84f1e00) at ../../dix/dixutils.c:421

and then -- this gesture from gdb while running from a script was not expected:

---Type <return> to continue, or q <return> to quit---

so atm I do not have further backtrace -- but is this any useful?
or should I rebuild/run X in noopt or... ?
please advise

-- 
Yaroslav O. Halchenko
Postdoctoral Fellow,   Department of Psychological and Brain Sciences
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#681796; Package xserver-xorg. (Sat, 28 Jul 2012 09:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben McCann <bn.mccann@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 28 Jul 2012 09:33:03 GMT) Full text and rfc822 format available.

Message #45 received at 681796@bugs.debian.org (full text, mbox):

From: Ben McCann <bn.mccann@gmail.com>
To: 681796@bugs.debian.org
Subject: Hitting this without suspend
Date: Sat, 28 Jul 2012 05:31:08 -0400
I am also hitting this bug but I don't have to suspend. It happens maybe 
once a week while using Xorg. The X server dies and then Kdm (?) puts up 
a new login screen. I can log back in and then resume work.

Can't pin it on any one action although it appears to be related to 
using the touchpad on my Acer 1810tz laptop. I'm running Ubuntu 12.04 
fully up to date.

LMK how I can help track it down. I could attach gdb to the Xorg server 
on one the TTYs but I don't know if I could swap over to it 
(ctrl-alt-F1) after Xorg crashes and is sitting in gdb.

-Ben McCann



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#681796; Package xserver-xorg. (Sat, 28 Jul 2012 10:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 28 Jul 2012 10:57:03 GMT) Full text and rfc822 format available.

Message #50 received at 681796@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Ben McCann <bn.mccann@gmail.com>, 681796@bugs.debian.org
Subject: Re: Bug#681796: Hitting this without suspend
Date: Sat, 28 Jul 2012 12:54:08 +0200
[Message part 1 (text/plain, inline)]
On Sat, Jul 28, 2012 at 05:31:08 -0400, Ben McCann wrote:

> LMK how I can help track it down. I could attach gdb to the Xorg
> server on one the TTYs but I don't know if I could swap over to it
> (ctrl-alt-F1) after Xorg crashes and is sitting in gdb.
> 
You need to do the debugging over ssh.  See
http://wiki.debian.org/XStrikeForce/XserverDebugging
http://x.debian.net/howto/use-gdb.html
http://www.x.org/wiki/Development/Documentation/ServerDebugging

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#681796; Package xserver-xorg. (Sat, 28 Jul 2012 11:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 28 Jul 2012 11:03:09 GMT) Full text and rfc822 format available.

Message #55 received at 681796@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Yaroslav Halchenko <yoh@debian.org>, 681796@bugs.debian.org
Subject: Re: Bug#681796: segmentation fault during suspend
Date: Sat, 28 Jul 2012 13:02:30 +0200
[Message part 1 (text/plain, inline)]
On Tue, Jul 24, 2012 at 00:09:43 -0400, Yaroslav Halchenko wrote:

> 
> On Mon, 16 Jul 2012, Julien Cristau wrote:
> > > [145698.415] Caught signal 11 (Segmentation fault). Server aborting
> > > [145698.415] 
> > > [145698.415] 
> 
> > Any chance you can get a backtrace from gdb?
> 
> Program received signal SIGSEGV, Segmentation fault.
> XIChangeDeviceProperty (dev=dev@entry=0x7f4bac237fa0, property=<optimized out>, type=type@entry=19, format=format@entry=8, mode=<optimized out>, mode@entry=0, len=len@entry=1, 
>     value=value@entry=0x7fff092e860f, sendevent=sendevent@entry=1) at ../../Xi/xiproperty.c:772
> 772     ../../Xi/xiproperty.c: No such file or directory.
> #0  XIChangeDeviceProperty (dev=dev@entry=0x7f4bac237fa0, property=<optimized out>, type=type@entry=19, format=format@entry=8, mode=<optimized out>, mode@entry=0, 
>     len=len@entry=1, value=value@entry=0x7fff092e860f, sendevent=sendevent@entry=1) at ../../Xi/xiproperty.c:772
> #1  0x00007f4ba813c20f in DisableDevice (dev=0x7f4bac237fa0, sendevent=sendevent@entry=1 '\001') at ../../dix/devices.c:481
> #2  0x00007f4ba817e344 in xf86VTSwitch () at ../../../../hw/xfree86/common/xf86Events.c:454
> #3  xf86Wakeup (blockData=<optimized out>, err=<optimized out>, pReadmask=<optimized out>) at ../../../../hw/xfree86/common/xf86Events.c:285
> #4  0x00007f4ba8146d9b in WakeupHandler (result=result@entry=-1, pReadmask=pReadmask@entry=0x7f4ba84f1e00) at ../../dix/dixutils.c:421
> 
> and then -- this gesture from gdb while running from a script was not expected:
> 
> ---Type <return> to continue, or q <return> to quit---

You can probably avoid this next time with the 'set pagination off'
command.

> so atm I do not have further backtrace -- but is this any useful?

It's helpful, yes, thanks.  Could you forward it upstream to
https://bugs.freedesktop.org/enter_bug.cgi?product=xorg&component=Server/Input/Core

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#681796; Package xserver-xorg. (Sat, 28 Jul 2012 15:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <yoh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 28 Jul 2012 15:12:03 GMT) Full text and rfc822 format available.

Message #60 received at 681796@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <yoh@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 681796@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#681796: segmentation fault during suspend
Date: Sat, 28 Jul 2012 11:09:10 -0400
forwarded 681796 https://bugs.freedesktop.org/show_bug.cgi?id=52496
thanks

On Sat, 28 Jul 2012, Julien Cristau wrote:
> > and then -- this gesture from gdb while running from a script was not expected:
> > ---Type <return> to continue, or q <return> to quit---
> You can probably avoid this next time with the 'set pagination off'
> command.

I think I have managed to avoid it with

gdb.execute("set height 0")

altogether my script atm is:

#!/usr/bin/gdb -x
import gdb

def on_stop(p):
  gdb.execute("i threads")
  try:
    gdb.execute("echo I: some variables, dev, dev->properties.handlers, handler\n")
    gdb.execute("p dev")
    gdb.execute("p dev->properties.handlers")
    gdb.execute("p handler")
  except:
    pass
  try:
    gdb.execute("echo I: bt\n")
    gdb.execute("bt")
    gdb.execute("echo I: bt full\n")
    gdb.execute("bt full")
  finally:
    # and just quit now
    gdb.execute("c")
    gdb.execute("q")

# prevent prompt-for-continue
gdb.execute("set height 0")
gdb.execute("set logging file xorg-crash.log")
gdb.execute("set logging on")
gdb.execute("handle SIGUSR1 nostop")
gdb.execute("handle SIGPIPE nostop")
gdb.execute("bt")
gdb.events.stop.connect(on_stop)


> > so atm I do not have further backtrace -- but is this any useful?
> It's helpful, yes, thanks.  Could you forward it upstream to
> https://bugs.freedesktop.org/enter_bug.cgi?product=xorg&component=Server/Input/Core

have done that and was waiting for some kind of reaction before reporting this
one forwarded... but will mark now nevertheless.  Also similar problem was
detected by gentoo guys:

https://bugs.gentoo.org/show_bug.cgi?id=428084
and "discussed" originally here:
http://forums.gentoo.org/viewtopic.php?p=7098200

P.S. I have switched from using awesome+KDE to awesome+XFCE... hopefully
I would still be able to run into this issue...

-- 
Yaroslav O. Halchenko
Postdoctoral Fellow,   Department of Psychological and Brain Sciences
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        



Set Bug forwarded-to-address to 'https://bugs.freedesktop.org/show_bug.cgi?id=52496'. Request was from Yaroslav Halchenko <yoh@debian.org> to control@bugs.debian.org. (Sat, 28 Jul 2012 15:12:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#681796; Package xserver-xorg. (Tue, 31 Jul 2012 14:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <yoh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 31 Jul 2012 14:42:03 GMT) Full text and rfc822 format available.

Message #67 received at 681796@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <yoh@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 681796@bugs.debian.org
Subject: Re: Bug#681796: segmentation fault during suspend
Date: Tue, 31 Jul 2012 10:39:57 -0400
Here is more detailed output but I guess I would just need to setup
remote debugging somehow... :

Program received signal SIGSEGV, Segmentation fault.
0x00007fec6053e757 in XIChangeDeviceProperty (dev=0x7fec63c494f0, property=120, type=19, format=8, mode=0, len=1, value=0x7fff67dc75af, sendevent=1) at ../../Xi/xiproperty.c:772
772                         if (handler->SetProperty) {
  Id   Target Id         Frame 
* 1    Thread 0x7fec60369880 (LWP 3614) "Xorg" 0x00007fec6053e757 in XIChangeDeviceProperty (dev=0x7fec63c494f0, property=120, type=19, format=8, mode=0, len=1, 
    value=0x7fff67dc75af, sendevent=1) at ../../Xi/xiproperty.c:772
I: some variables, dev, dev->properties.handlers, handler
$1 = (DeviceIntPtr) 0x7fec63c494f0
$2 = (XIPropertyHandlerPtr) 0x7fec63e97130
$3 = (XIPropertyHandlerPtr) 0x7fec00000001
I: bt
#0  0x00007fec6053e757 in XIChangeDeviceProperty (dev=0x7fec63c494f0, property=120, type=19, format=8, mode=0, len=1, value=0x7fff67dc75af, sendevent=1)
    at ../../Xi/xiproperty.c:772
#1  0x00007fec6040eb57 in DisableDevice (dev=0x7fec63c494f0, sendevent=1 '\001') at ../../dix/devices.c:481
#2  0x00007fec60471460 in xf86VTSwitch () at ../../../../hw/xfree86/common/xf86Events.c:454
#3  0x00007fec604710f5 in xf86Wakeup (blockData=0x0, err=-1, pReadmask=0x7fec60858f00) at ../../../../hw/xfree86/common/xf86Events.c:285
#4  0x00007fec60422be2 in WakeupHandler (result=-1, pReadmask=0x7fec60858f00) at ../../dix/dixutils.c:421
#5  0x00007fec605c0925 in WaitForSomething (pClientsReady=0x7fec63b2ff30) at ../../os/WaitFor.c:224
#6  0x00007fec60414984 in Dispatch () at ../../dix/dispatch.c:357
#7  0x00007fec604057d1 in main (argc=8, argv=0x7fff67dc7bc8, envp=0x7fff67dc7c10) at ../../dix/main.c:288
I: bt full
#0  0x00007fec6053e757 in XIChangeDeviceProperty (dev=0x7fec63c494f0, property=120, type=19, format=8, mode=0, len=1, value=0x7fff67dc75af, sendevent=1)
    at ../../Xi/xiproperty.c:772
        handler = 0x7fec00000001
        checkonly = 1 '\001'
        new_data = 0x7fec63874fa0
        old_data = 0x0
        prop = 0x7fec63ac7e00
        size_in_bytes = 1
        total_size = 1
        total_len = 1
        prop_value = 0x7fec63ac7e10
        new_value = {type = 19, format = 8, size = 1, data = 0x7fec63874fa0}
        add = 0
        rc = 0
#1  0x00007fec6040eb57 in DisableDevice (dev=0x7fec63c494f0, sendevent=1 '\001') at ../../dix/devices.c:481
        prev = 0x7fec639cf3c8
        other = 0x0
        enabled = 0 '\000'
        flags = {0 <repeats 40 times>}
#2  0x00007fec60471460 in xf86VTSwitch () at ../../../../hw/xfree86/common/xf86Events.c:454
        i = 1
        prevSIGIO = 0
        pInfo = 0x7fec63c3d300
        ih = 0x0
#3  0x00007fec604710f5 in xf86Wakeup (blockData=0x0, err=-1, pReadmask=0x7fec60858f00) at ../../../../hw/xfree86/common/xf86Events.c:285
        LastSelectMask = 0x7fec60858f00
        devicesWithInput = {fds_bits = {0, 0, 115146, 893290107, 140734935889712, 140653204764360, 140734935889760, 0, 515396075520000, 140653204448034, 140734935889776, 
            140653208375040, -4294967296, 0, -4294967296, 47244640256}}
        pInfo = 0x7fff67dc7700
#4  0x00007fec60422be2 in WakeupHandler (result=-1, pReadmask=0x7fec60858f00) at ../../dix/dixutils.c:421
        i = 1
        j = 0
#5  0x00007fec605c0925 in WaitForSomething (pClientsReady=0x7fec63b2ff30) at ../../os/WaitFor.c:224
        i = -1
        waittime = {tv_sec = 2, tv_usec = 806463}
        wt = 0x7fff67dc7830
        timeout = 2808
        clientsReadable = {fds_bits = {0 <repeats 16 times>}}
        clientsWritable = {fds_bits = {140734935890320, 140734935890128, 140734935890208, 140653154506956, 51, 140653267432464, 4096, 0, 140734935890272, 140653203837136, 
            140734935890880, 0, 0, 140653170735228, 140653245830704, 140653204090905}}
        curclient = 32748
        selecterr = 4
        nready = 0
        devicesReadable = {fds_bits = {5914262752, 44607270688, 140653246607296, 140653173915232, 140734935890352, 140653203837136, 140734935890880, 0, 140734935890352, 
            140653205720800, 140653222786000, 140653135732522, 140653267432464, 0, 140734935890416, 140653203960955}}
        now = 115146891
        someReady = 0
#6  0x00007fec60414984 in Dispatch () at ../../dix/dispatch.c:357
        clientReady = 0x7fec63b2ff30
        result = 0
        client = 0x7fec62c11490
        nready = -1
        icheck = 0x7fec608521f0
        start_tick = 478800
#7  0x00007fec604057d1 in main (argc=8, argv=0x7fff67dc7bc8, envp=0x7fff67dc7c10) at ../../dix/main.c:288
        i = 1
        alwaysCheckForInput = {0, 1}



On Sat, 28 Jul 2012, Julien Cristau wrote:

> On Tue, Jul 24, 2012 at 00:09:43 -0400, Yaroslav Halchenko wrote:


> > On Mon, 16 Jul 2012, Julien Cristau wrote:
> > > > [145698.415] Caught signal 11 (Segmentation fault). Server aborting
> > > > [145698.415] 
> > > > [145698.415] 

> > > Any chance you can get a backtrace from gdb?

> > Program received signal SIGSEGV, Segmentation fault.
> > XIChangeDeviceProperty (dev=dev@entry=0x7f4bac237fa0, property=<optimized out>, type=type@entry=19, format=format@entry=8, mode=<optimized out>, mode@entry=0, len=len@entry=1, 
> >     value=value@entry=0x7fff092e860f, sendevent=sendevent@entry=1) at ../../Xi/xiproperty.c:772
> > 772     ../../Xi/xiproperty.c: No such file or directory.
> > #0  XIChangeDeviceProperty (dev=dev@entry=0x7f4bac237fa0, property=<optimized out>, type=type@entry=19, format=format@entry=8, mode=<optimized out>, mode@entry=0, 
> >     len=len@entry=1, value=value@entry=0x7fff092e860f, sendevent=sendevent@entry=1) at ../../Xi/xiproperty.c:772
> > #1  0x00007f4ba813c20f in DisableDevice (dev=0x7f4bac237fa0, sendevent=sendevent@entry=1 '\001') at ../../dix/devices.c:481
> > #2  0x00007f4ba817e344 in xf86VTSwitch () at ../../../../hw/xfree86/common/xf86Events.c:454
> > #3  xf86Wakeup (blockData=<optimized out>, err=<optimized out>, pReadmask=<optimized out>) at ../../../../hw/xfree86/common/xf86Events.c:285
> > #4  0x00007f4ba8146d9b in WakeupHandler (result=result@entry=-1, pReadmask=pReadmask@entry=0x7f4ba84f1e00) at ../../dix/dixutils.c:421

> > and then -- this gesture from gdb while running from a script was not expected:

> > ---Type <return> to continue, or q <return> to quit---

> You can probably avoid this next time with the 'set pagination off'
> command.

> > so atm I do not have further backtrace -- but is this any useful?

> It's helpful, yes, thanks.  Could you forward it upstream to
> https://bugs.freedesktop.org/enter_bug.cgi?product=xorg&component=Server/Input/Core

-- 
Yaroslav O. Halchenko
Postdoctoral Fellow,   Department of Psychological and Brain Sciences
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#681796; Package xserver-xorg. (Thu, 02 Aug 2012 21:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Howard <showard314@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 02 Aug 2012 21:42:03 GMT) Full text and rfc822 format available.

Message #72 received at 681796@bugs.debian.org (full text, mbox):

From: Scott Howard <showard314@gmail.com>
To: 681796@bugs.debian.org, 956071@bugs.launchpad.net
Subject: possible memory leak causing x.org crash?
Date: Thu, 2 Aug 2012 17:39:54 -0400
I am not too familiar with this bug, but I can across a recent patch
[1] to x.org to fix a memory leak in XICreateDeviceProperty(), around
the same lines where this crash is happening.


Error: Memory leak (CWE 401)
   Memory leak of pointer 'prop' allocated with XICreateDeviceProperty(property)
        at line 774 of Xi/xiproperty.c in function 'XIChangeDeviceProperty'.
          'prop' allocated at line 700 with XICreateDeviceProperty(property).
          prop leaks when handler != NULL at line 768
              and handler->SetProperty != NULL at line 769
              and checkonly != 0 at line 772
              and rc != 0 at line 772.

The patch is:

diff --git a/Xi/xiproperty.c b/Xi/xiproperty.c
index ca73104..4beedcf 100644
--- a/Xi/xiproperty.c
+++ b/Xi/xiproperty.c
@@ -771,6 +771,8 @@  XIChangeDeviceProperty(DeviceIntPtr dev, Atom
property, Atom type,
                                                   &new_value, checkonly);
                         if (checkonly && rc != Success) {
                             free(new_value.data);
+                            if (add)
+                                XIDestroyDeviceProperty(prop);
                             return rc;
                         }
                     }



[1] http://patchwork.freedesktop.org/patch/11531/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#681796; Package xserver-xorg. (Sat, 04 Aug 2012 22:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Howard <showard314@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 04 Aug 2012 22:18:03 GMT) Full text and rfc822 format available.

Message #77 received at 681796@bugs.debian.org (full text, mbox):

From: Scott Howard <showard314@gmail.com>
To: 681796@bugs.debian.org, 956071@bugs.launchpad.net
Subject: Re: possible memory leak causing x.org crash?
Date: Sat, 4 Aug 2012 18:15:18 -0400
On Thu, Aug 2, 2012 at 5:39 PM, Scott Howard <showard314@gmail.com> wrote:
> I am not too familiar with this bug, but I can across a recent patch
> [1] to x.org to fix a memory leak in XICreateDeviceProperty(), around
> the same lines where this crash is happening.

Disregard the above, the patch doesn't fix it for me.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#681796; Package xserver-xorg. (Fri, 31 Aug 2012 20:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <yoh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 31 Aug 2012 20:36:03 GMT) Full text and rfc822 format available.

Message #82 received at 681796@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <yoh@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 681796@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#681796: segmentation fault during suspend
Date: Fri, 31 Aug 2012 16:33:57 -0400
[Message part 1 (text/plain, inline)]
tag 681796 + patch
thanks

On Sat, 28 Jul 2012, Julien Cristau wrote:

> It's helpful, yes, thanks.  Could you forward it upstream to
> https://bugs.freedesktop.org/enter_bug.cgi?product=xorg&component=Server/Input/Core

so upstream seems to boiled it down and provided a patch.  I have
adopted the patch for version in Debian 1.6.2 and attaching it here...
2nd day of a normal flight.


-- 
Yaroslav O. Halchenko
Postdoctoral Fellow,   Department of Psychological and Brain Sciences
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        
[synaptics-Reset-num_active_touches-on-DeviceOff-52496-backported-against-1.6.2.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Yaroslav Halchenko <yoh@debian.org> to control@bugs.debian.org. (Fri, 31 Aug 2012 20:36:05 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 03 Sep 2012 16:48:31 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#681796; Package xserver-xorg. (Mon, 17 Sep 2012 12:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gijs Hillenius <gijs@hillenius.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 17 Sep 2012 12:33:03 GMT) Full text and rfc822 format available.

Message #91 received at 681796@bugs.debian.org (full text, mbox):

From: Gijs Hillenius <gijs@hillenius.net>
To: Yaroslav Halchenko <yoh@debian.org>, 681796@bugs.debian.org
Subject: bug 681796, that patch does not work here..
Date: Mon, 17 Sep 2012 14:01:16 +0200
Hello Yaroslav,

the patch you submitted for xserver-xorg-input-synaptics

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=681796

does not work for me. I tried it yesterday, but my X crashed on the
first 'lid close', instead of the third/fourth.

I'm hit by the same bug (I think) and reported my troubles here

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=679231




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#681796; Package xserver-xorg. (Mon, 17 Sep 2012 12:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <yoh@onerussian.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 17 Sep 2012 12:51:03 GMT) Full text and rfc822 format available.

Message #96 received at 681796@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <yoh@onerussian.com>
To: Gijs Hillenius <gijs@hillenius.net>,Yaroslav Halchenko <yoh@debian.org>,681796@bugs.debian.org
Subject: Re: bug 681796, that patch does not work here..
Date: Mon, 17 Sep 2012 14:49:25 +0200
Gijs Hillenius <gijs@hillenius.net> wrote:

>Hello Yaroslav,
>
>the patch you submitted for xserver-xorg-input-synaptics
>
>http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=681796
>
>does not work for me. I tried it yesterday, but my X crashed on the
>first 'lid close', instead of the third/fourth.
>
>I'm hit by the same bug (I think) and reported my troubles here
>
>http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=679231

As far add I see it   your issue is different...  Did you get a chance to get a traceback from X upon crash?

As for me the patch resolved the issue  -  I have not experienced it since the patch.
-- 
Sent from a phone which beats iPhone.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#681796; Package xserver-xorg. (Wed, 19 Sep 2012 15:09:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gijs Hillenius <gijs@hillenius.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 19 Sep 2012 15:09:12 GMT) Full text and rfc822 format available.

Message #101 received at 681796@bugs.debian.org (full text, mbox):

From: Gijs Hillenius <gijs@hillenius.net>
To: Yaroslav Halchenko <yoh@onerussian.com>, 681796@bugs.debian.org
Subject: Re: bug 681796, that patch does not work here..
Date: Wed, 19 Sep 2012 17:10:34 +0200
On 17 Sep 2012, Yaroslav Halchenko wrote:

> Gijs Hillenius <gijs@hillenius.net> wrote:
>
>> Hello Yaroslav,
>>
>> the patch you submitted for xserver-xorg-input-synaptics
>>
>> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=681796
>>
>> does not work for me. I tried it yesterday, but my X crashed on the
>> first 'lid close', instead of the third/fourth.
>>
>> I'm hit by the same bug (I think) and reported my troubles here
>>
>> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=679231
>
> As far add I see it your issue is different...  Did you get a chance
> to get a traceback from X upon crash?

Up until now, not. Oddly enough, I have not experienced crashed for two
and a half days, following Monday's upgrade from
server-xorg-video-intel:i386 2:2.19.0-5 -> 2:2.19.0-6 (and at the same
time reverting to an unpatched xserver-xorg-input-synaptics)

But this afternoon X crashed again and I found the following Backtrace:

[ 59843.996] (II) intel(0): Modeline "1440x900"x0.0   89.26  1440 1488 1520 1740  900 903 909 1026 -hsync -vsync (51.3 kHz e)
[ 59844.076] (--) synaptics: SynPS/2 Synaptics TouchPad: touchpad found
[ 59865.601] 
[ 59865.601] Backtrace:
[ 59865.601] 0: /usr/bin/X (xorg_backtrace+0x49) [0xb778d739]
[ 59865.601] 1: /usr/bin/X (0xb7610000+0x181156) [0xb7791156]
[ 59865.602] 2: (vdso) (__kernel_rt_sigreturn+0x0) [0xb75f140c]
[ 59865.602] 3: /usr/bin/X (MakeAtom+0x5f) [0xb763a36f]
[ 59865.602] 4: /usr/lib/libXfont.so.1 (0xb7448000+0x207cb) [0xb74687cb]
[ 59865.602] 5: /usr/lib/libXfont.so.1 (pcfReadFontInfo+0xa5) [0xb74695c5]
[ 59865.602] 6: /usr/lib/libXfont.so.1 (0xb7448000+0x1a900) [0xb7462900]
[ 59865.602] 7: /usr/lib/libXfont.so.1 (0xb7448000+0xb100) [0xb7453100]
[ 59865.602] 8: /usr/lib/libXfont.so.1 (0xb7448000+0xc1c0) [0xb74541c0]
[ 59865.602] 9: /usr/lib/libXfont.so.1 (FontFileListNextFontWithInfo+0x4d) [0xb74543bd]
[ 59865.602] 10: /usr/bin/X (doListFontsWithInfo+0x15c) [0xb764c98c]
[ 59865.602] 11: /usr/bin/X (0xb7610000+0x3f339) [0xb764f339]
[ 59865.602] 12: /usr/bin/X (0xb7610000+0x37313) [0xb7647313]
[ 59865.602] 13: /usr/bin/X (0xb7610000+0x3c375) [0xb764c375]
[ 59865.602] 14: /usr/bin/X (0xb7610000+0x29e95) [0xb7639e95]
[ 59865.602] 15: /lib/i386-linux-gnu/i686/cmov/libc.so.6 (__libc_start_main+0xe6) [0xb72aee46]
[ 59865.602] 16: /usr/bin/X (0xb7610000+0x2a1e9) [0xb763a1e9]
[ 59865.602] 
[ 59865.602] Segmentation fault at address 0xd
[ 59865.602] 
Fatal server error:
[ 59865.602] Caught signal 11 (Segmentation fault). Server aborting




Now, I don't actually use the trackpad. So, you know what? I'll apt-get
remove xserver-xorg-input-synaptics and see if that solves it.

-- 
Q:	What do they call the alphabet in Arkansas?
A:	The impossible dream.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#681796; Package xserver-xorg. (Thu, 20 Sep 2012 13:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 20 Sep 2012 13:57:05 GMT) Full text and rfc822 format available.

Message #106 received at 681796@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Gijs Hillenius <gijs@hillenius.net>
Cc: 681796@bugs.debian.org
Subject: Re: bug 681796, that patch does not work here..
Date: Thu, 20 Sep 2012 09:52:48 -0400
On Wed, 19 Sep 2012, Gijs Hillenius wrote:
> [ 59865.601] 0: /usr/bin/X (xorg_backtrace+0x49) [0xb778d739]
> [ 59865.601] 1: /usr/bin/X (0xb7610000+0x181156) [0xb7791156]
> [ 59865.602] 2: (vdso) (__kernel_rt_sigreturn+0x0) [0xb75f140c]
> [ 59865.602] 3: /usr/bin/X (MakeAtom+0x5f) [0xb763a36f]
> [ 59865.602] 4: /usr/lib/libXfont.so.1 (0xb7448000+0x207cb) [0xb74687cb]
> [ 59865.602] 5: /usr/lib/libXfont.so.1 (pcfReadFontInfo+0xa5) [0xb74695c5]
> [ 59865.602] 6: /usr/lib/libXfont.so.1 (0xb7448000+0x1a900) [0xb7462900]
> [ 59865.602] 7: /usr/lib/libXfont.so.1 (0xb7448000+0xb100) [0xb7453100]
> [ 59865.602] 8: /usr/lib/libXfont.so.1 (0xb7448000+0xc1c0) [0xb74541c0]
> [ 59865.602] 9: /usr/lib/libXfont.so.1 (FontFileListNextFontWithInfo+0x4d) [0xb74543bd]
> [ 59865.602] 10: /usr/bin/X (doListFontsWithInfo+0x15c) [0xb764c98c]
> [ 59865.602] 11: /usr/bin/X (0xb7610000+0x3f339) [0xb764f339]
> [ 59865.602] 12: /usr/bin/X (0xb7610000+0x37313) [0xb7647313]
> [ 59865.602] 13: /usr/bin/X (0xb7610000+0x3c375) [0xb764c375]
> [ 59865.602] 14: /usr/bin/X (0xb7610000+0x29e95) [0xb7639e95]

So above suggests that this is some other issue... and probably has to
do with fonts handling, thus:
> Now, I don't actually use the trackpad. So, you know what? I'll apt-get
> remove xserver-xorg-input-synaptics and see if that solves it.
indeed would be interesting to see if any effect.

But once again -- this seems to be a different issue.

-- 
Yaroslav O. Halchenko
Postdoctoral Fellow,   Department of Psychological and Brain Sciences
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        



Bug reassigned from package 'xserver-xorg' to 'xserver-xorg-input-synaptics'. Request was from Yaroslav Halchenko <debian@onerussian.com> to control@bugs.debian.org. (Sun, 30 Sep 2012 02:06:04 GMT) Full text and rfc822 format available.

No longer marked as found in versions xorg/1:7.7+1. Request was from Yaroslav Halchenko <debian@onerussian.com> to control@bugs.debian.org. (Sun, 30 Sep 2012 02:06:04 GMT) Full text and rfc822 format available.

Marked as found in versions xserver-xorg-input-synaptics/1.6.2-1. Request was from Yaroslav Halchenko <debian@onerussian.com> to control@bugs.debian.org. (Sun, 30 Sep 2012 02:06:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#681796; Package xserver-xorg-input-synaptics. (Sun, 30 Sep 2012 02:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 30 Sep 2012 02:18:02 GMT) Full text and rfc822 format available.

Message #117 received at 681796@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: 681796@bugs.debian.org
Cc: Cyril Brulebois <kibi@debian.org>
Subject: plan to NMU the fix
Date: Sat, 29 Sep 2012 22:15:27 -0400
[Message part 1 (text/plain, inline)]
Hi Cyril,

Since there were no activity from the team and reported patch has fixed
the issue (at least for me and few others on the upstream bug report
page) I am planing to NMU it in 2-3 days into 5-days delayed
queue.

See git patch for this NMU attached

-- 
Yaroslav O. Halchenko
Postdoctoral Fellow,   Department of Psychological and Brain Sciences
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        
[0001-Adopted-patch-http-patchwork.freedesktop.org-patch-1.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Mon, 01 Oct 2012 20:51:08 GMT) Full text and rfc822 format available.

Notification sent to yoh@onerussian.com:
Bug acknowledged by developer. (Mon, 01 Oct 2012 20:51:08 GMT) Full text and rfc822 format available.

Message #122 received at 681796-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 681796-close@bugs.debian.org
Subject: Bug#681796: fixed in xserver-xorg-input-synaptics 1.6.2-2
Date: Mon, 01 Oct 2012 20:49:07 +0000
Source: xserver-xorg-input-synaptics
Source-Version: 1.6.2-2

We believe that the bug you reported is fixed in the latest version of
xserver-xorg-input-synaptics, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 681796@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xserver-xorg-input-synaptics package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 01 Oct 2012 21:55:06 +0200
Source: xserver-xorg-input-synaptics
Binary: xserver-xorg-input-synaptics xserver-xorg-input-synaptics-dev
Architecture: source amd64 all
Version: 1.6.2-2
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xserver-xorg-input-synaptics - Synaptics TouchPad driver for X.Org server
 xserver-xorg-input-synaptics-dev - Synaptics TouchPad driver for X.Org server (development headers)
Closes: 681796
Changes: 
 xserver-xorg-input-synaptics (1.6.2-2) unstable; urgency=low
 .
   * Pull latest synaptics-1.6-branch:
     - Reset num_active_touches on DeviceOff (closes: #681796).  Fixes memory
       corruption leading to crashes.
Checksums-Sha1: 
 add1a366862f4d7d333f11b12a777922001cb97d 2371 xserver-xorg-input-synaptics_1.6.2-2.dsc
 6eec878fe83657a9863f9a24a5a7213ed825b4d3 20523 xserver-xorg-input-synaptics_1.6.2-2.diff.gz
 6a05aa5334a1ba54895233261a6186d6dfe8948d 207970 xserver-xorg-input-synaptics_1.6.2-2_amd64.deb
 2e1bf4e6eab28f67d24c729dd797aa21e46b3cf3 144390 xserver-xorg-input-synaptics-dev_1.6.2-2_all.deb
Checksums-Sha256: 
 6fa5f262d292fdaeafa6846629675dd01d6556b51b04ba5836e33eb0f4e5d26b 2371 xserver-xorg-input-synaptics_1.6.2-2.dsc
 9ce8aaf1d707aa7227f6c9b1dfadf2d4e47ebc45681c6ab4a230c43d4d638141 20523 xserver-xorg-input-synaptics_1.6.2-2.diff.gz
 2f21e01d9545202f673d7854308663aa9a599a57dc9f3f6dc079cfbf063d6f27 207970 xserver-xorg-input-synaptics_1.6.2-2_amd64.deb
 573a06dfe049440109cbb5d4cb09d9609f6be1a189fee45f40d05aa18af872f3 144390 xserver-xorg-input-synaptics-dev_1.6.2-2_all.deb
Files: 
 a52c68883771f0e93a0b04ade9229049 2371 x11 optional xserver-xorg-input-synaptics_1.6.2-2.dsc
 6ef036242036d6dfd1a4f1eebdfeded3 20523 x11 optional xserver-xorg-input-synaptics_1.6.2-2.diff.gz
 dd605cc6e230b0d68601c209bb83dbe3 207970 x11 optional xserver-xorg-input-synaptics_1.6.2-2_amd64.deb
 d5d01a1b15722110a25aeadecf019c9c 144390 libdevel optional xserver-xorg-input-synaptics-dev_1.6.2-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQafrOAAoJEDEBgAUJBeQMhaoQAOYQ74SmcKj0iCnQdIwnB5Gg
KhW6p9/SlT+XMhnJwFcJf3N9lYOvH2jX19VUuizrrlG+84YpIBzL4MHxA/ok+BR1
mVZ7yVxSo6M0/KXobZCMqfBlcXHxta2ZzjHIjd6k8SKG8+PcCJwLA0GwZM+A8Mj7
lqox+OhyAH8Y1h33E8+ipAnA2ifLuMLkfnf0Rf/4CGfQwfwuZL+gySPTvvgbYjyZ
IeCH2xDzD78fBNH4MWbgm0ZQXPfL7YC3UKjFq2kQJmBr9TmX0ZLeg+B8uSeRchy1
3l+OM20ieAwPMHntrGyQM0hPFet4suaoMaONjRI0iSBLI9G4OGeepnassxsSt/F5
hM7dzopookp49ewZs660BDie1//bYWZlzQwasa354BvprAZtFYkI+ugC6XfhjbEl
omaw5obAshb7UQrYb/qPXOsn4f8O/9JCpfIcHGityCJgRyav/fmUhYInLSEeDKqh
MWU5/G5DWJP8CdT/rm0pjSDPuOUWKcBp8AphBHIr7l0RR+LsfmCec2fOWqJ1rcUG
iHg5R2R3hWIX6+84ri+khzHXEe0c7RAWXzw2TdXOtKAdkBE4Q80+mx497aaFEfb1
L3Txtf52SPCXgQjFrwksfuxFK2QJDBVaD2xMy+571kvbbLN11cWP9ZABa/WYS7yq
Et9PkCd83ElZaQkzsV3e
=1VGi
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 13 Nov 2012 07:28:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:39:20 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.